<?php

class InspeccionesModel
{

    private $pdo;

    public function __CONSTRUCT()
    {
        try {
            require_once 'model/database.php';
            $this->pdo = DataBase::ObtenerConexion();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function GuardarEdicion_PruebaConCarga($pruebaconcarga)
    {
        try {
            $stm = $this->pdo->prepare(
                'CALL ins_editar_pruebaconcarga(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,' .
                    '?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,' .
                    '?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,' .
                    '?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)'
            );

            $arr_param = array(
                $pruebaconcarga[0]->Inspeccion_Id,
                $pruebaconcarga[0]->sPruHoraIni,
                $pruebaconcarga[0]->sPruHoraTer,
                $pruebaconcarga[0]->sPruFasesRST,
                $pruebaconcarga[0]->sPruSet00,
                $pruebaconcarga[0]->sPruSet25,
                $pruebaconcarga[0]->sPruSet50,
                $pruebaconcarga[0]->sPruSet75,
                $pruebaconcarga[0]->sPruSet100,
                $pruebaconcarga[0]->sPruSet110,
                $pruebaconcarga[0]->nPruTiempo,
                $pruebaconcarga[0]->sPruValor,
                $pruebaconcarga[0]->sPruObservaciones,
                $pruebaconcarga[0]->sPruDet01_0,
                $pruebaconcarga[0]->sPruDet01_1,
                $pruebaconcarga[0]->sPruDet01_2,
                $pruebaconcarga[0]->sPruDet01_3,
                $pruebaconcarga[0]->sPruDet01_4,
                $pruebaconcarga[0]->sPruDet01_5,
                $pruebaconcarga[0]->sPruDet02_0,
                $pruebaconcarga[0]->sPruDet02_1,
                $pruebaconcarga[0]->sPruDet02_2,
                $pruebaconcarga[0]->sPruDet02_3,
                $pruebaconcarga[0]->sPruDet02_4,
                $pruebaconcarga[0]->sPruDet02_5,
                $pruebaconcarga[0]->sPruDet03_0,
                $pruebaconcarga[0]->sPruDet03_1,
                $pruebaconcarga[0]->sPruDet03_2,
                $pruebaconcarga[0]->sPruDet03_3,
                $pruebaconcarga[0]->sPruDet03_4,
                $pruebaconcarga[0]->sPruDet03_5,
                $pruebaconcarga[0]->sPruDet04_0,
                $pruebaconcarga[0]->sPruDet04_1,
                $pruebaconcarga[0]->sPruDet04_2,
                $pruebaconcarga[0]->sPruDet04_3,
                $pruebaconcarga[0]->sPruDet04_4,
                $pruebaconcarga[0]->sPruDet04_5,
                $pruebaconcarga[0]->sPruDet05_0,
                $pruebaconcarga[0]->sPruDet05_1,
                $pruebaconcarga[0]->sPruDet05_2,
                $pruebaconcarga[0]->sPruDet05_3,
                $pruebaconcarga[0]->sPruDet05_4,
                $pruebaconcarga[0]->sPruDet05_5,
                $pruebaconcarga[0]->sPruDet06_0,
                $pruebaconcarga[0]->sPruDet06_1,
                $pruebaconcarga[0]->sPruDet06_2,
                $pruebaconcarga[0]->sPruDet06_3,
                $pruebaconcarga[0]->sPruDet06_4,
                $pruebaconcarga[0]->sPruDet06_5,
                $pruebaconcarga[0]->sPruDet07_0,
                $pruebaconcarga[0]->sPruDet07_1,
                $pruebaconcarga[0]->sPruDet07_2,
                $pruebaconcarga[0]->sPruDet07_3,
                $pruebaconcarga[0]->sPruDet07_4,
                $pruebaconcarga[0]->sPruDet07_5,
                $pruebaconcarga[0]->sPruDet08_0,
                $pruebaconcarga[0]->sPruDet08_1,
                $pruebaconcarga[0]->sPruDet08_2,
                $pruebaconcarga[0]->sPruDet08_3,
                $pruebaconcarga[0]->sPruDet08_4,
                $pruebaconcarga[0]->sPruDet08_5,
                $pruebaconcarga[0]->sPruDet09_0,
                $pruebaconcarga[0]->sPruDet09_1,
                $pruebaconcarga[0]->sPruDet09_2,
                $pruebaconcarga[0]->sPruDet09_3,
                $pruebaconcarga[0]->sPruDet09_4,
                $pruebaconcarga[0]->sPruDet09_5,
                $pruebaconcarga[0]->sPruDet10_0,
                $pruebaconcarga[0]->sPruDet10_1,
                $pruebaconcarga[0]->sPruDet10_2,
                $pruebaconcarga[0]->sPruDet10_3,
                $pruebaconcarga[0]->sPruDet10_4,
                $pruebaconcarga[0]->sPruDet10_5,
                $pruebaconcarga[0]->sPruDet11_0,
                $pruebaconcarga[0]->sPruDet11_1,
                $pruebaconcarga[0]->sPruDet11_2,
                $pruebaconcarga[0]->sPruDet11_3,
                $pruebaconcarga[0]->sPruDet11_4,
                $pruebaconcarga[0]->sPruDet11_5,
                $pruebaconcarga[0]->sPruDet12_0,
                $pruebaconcarga[0]->sPruDet12_1,
                $pruebaconcarga[0]->sPruDet12_2,
                $pruebaconcarga[0]->sPruDet12_3,
                $pruebaconcarga[0]->sPruDet12_4,
                $pruebaconcarga[0]->sPruDet12_5,
                $pruebaconcarga[0]->sPruDet13_0,
                $pruebaconcarga[0]->sPruDet13_1,
                $pruebaconcarga[0]->sPruDet13_2,
                $pruebaconcarga[0]->sPruDet13_3,
                $pruebaconcarga[0]->sPruDet13_4,
                $pruebaconcarga[0]->sPruDet13_5,
                $pruebaconcarga[0]->sPruDet14_0,
                $pruebaconcarga[0]->sPruDet14_1,
                $pruebaconcarga[0]->sPruDet14_2,
                $pruebaconcarga[0]->sPruDet14_3,
                $pruebaconcarga[0]->sPruDet14_4,
                $pruebaconcarga[0]->sPruDet14_5,
                $pruebaconcarga[0]->sPruDet15_0,
                $pruebaconcarga[0]->sPruDet15_1,
                $pruebaconcarga[0]->sPruDet15_2,
                $pruebaconcarga[0]->sPruDet15_3,
                $pruebaconcarga[0]->sPruDet15_4,
                $pruebaconcarga[0]->sPruDet15_5,
                $pruebaconcarga[0]->sPruDet16_0,
                $pruebaconcarga[0]->sPruDet16_1,
                $pruebaconcarga[0]->sPruDet16_2,
                $pruebaconcarga[0]->sPruDet16_3,
                $pruebaconcarga[0]->sPruDet16_4,
                $pruebaconcarga[0]->sPruDet16_5,
                $pruebaconcarga[0]->sPruDet17_0,
                $pruebaconcarga[0]->sPruDet17_1,
                $pruebaconcarga[0]->sPruDet17_2,
                $pruebaconcarga[0]->sPruDet17_3,
                $pruebaconcarga[0]->sPruDet17_4,
                $pruebaconcarga[0]->sPruDet17_5,
                $pruebaconcarga[0]->sPruDet18_0,
                $pruebaconcarga[0]->sPruDet18_1,
                $pruebaconcarga[0]->sPruDet18_2,
                $pruebaconcarga[0]->sPruDet18_3,
                $pruebaconcarga[0]->sPruDet18_4,
                $pruebaconcarga[0]->sPruDet18_5,
                $pruebaconcarga[0]->sPruDet19_0,
                $pruebaconcarga[0]->sPruDet19_1,
                $pruebaconcarga[0]->sPruDet19_2,
                $pruebaconcarga[0]->sPruDet19_3,
                $pruebaconcarga[0]->sPruDet19_4,
                $pruebaconcarga[0]->sPruDet19_5,
                $pruebaconcarga[0]->sPruDet20_0,
                $pruebaconcarga[0]->sPruDet20_1,
                $pruebaconcarga[0]->sPruDet20_2,
                $pruebaconcarga[0]->sPruDet20_3,
                $pruebaconcarga[0]->sPruDet20_4,
                $pruebaconcarga[0]->sPruDet20_5,
                $pruebaconcarga[0]->sPruDetObs_0,
                $pruebaconcarga[0]->sPruDetObs_1,
                $pruebaconcarga[0]->sPruDetObs_2,
                $pruebaconcarga[0]->sPruDetObs_3,
                $pruebaconcarga[0]->sPruDetObs_4,
                $pruebaconcarga[0]->sPruDetObs_5
            );

            echo $stm->execute($arr_param);
        } catch (Exception $exc) {
            echo $exc->getMessage();
        }
    }

    public function GuardarEdicion_Sugerencia_Repuestos($Repuestos)
    {
        try {
            $stm = $this->pdo->prepare(
                'CALL ins_editar_sugerencia(?,?,?,?,?,?)'
            );

            $arr_param = array(
                $Repuestos[0]->Inspeccion_Id,
                $Repuestos[0]->nInsSugCodigo,
                $Repuestos[0]->nInsSugCantidad,
                $Repuestos[0]->nInsSugRepuesto,
                $Repuestos[0]->sInsSugFoto1,
                $Repuestos[0]->sInsSugFoto2
            );

            echo $stm->execute($arr_param);
        } catch (Exception $exc) {
            echo $exc->getMessage();
        }
    }

    public function Guardar_Sugerencia_Repuestos($Inspeccion_Id, $nInsSugRepuesto, $nInsSugCantidad, $nInsSugCodigo, $sInsSugFoto1, $sInsSugFoto2)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare('CALL ins_crear_sugerencia(?,?,?,?,?,?)');
            $stm->execute([$Inspeccion_Id, $nInsSugRepuesto, $nInsSugCantidad, $nInsSugCodigo, $sInsSugFoto1, $sInsSugFoto2]);
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $result[] = $r;
            }

            return $result;
        } catch (Exception $exc) {
            echo $exc->getMessage();
        }
    }

    public function Editar_Sugerencia_Repuestos($inspecciones_sugerencia_id, $Inspeccion_Id, $nInsSugRepuesto, $nInsSugCantidad, $nInsSugCodigo, $sInsSugFoto1, $sInsSugFoto2)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare('CALL ins_crear_sugerencia(?,?,?,?,?,?,?)');
            $stm->execute([$inspecciones_sugerencia_id, $Inspeccion_Id, $nInsSugRepuesto, $nInsSugCantidad, $nInsSugCodigo, $sInsSugFoto1, $sInsSugFoto2]);
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $result[] = $r;
            }

            return $result;
        } catch (Exception $exc) {
            echo $exc->getMessage();
        }
    }

    public function Listar_Sugerencia_Repuestos($Inspeccion_Id)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare('CALL ins_listar_sugerencia(?)');
            $stm->execute([$Inspeccion_Id]);
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $result[] = $r;
            }

            return $result;
        } catch (Exception $exc) {
            echo $exc->getMessage();
        }
    }

    public function GuardarEdicion_EvDiodos($evdiodos)
    {
        try {
            $stm = $this->pdo->prepare('CALL ins_editar_evdiodos(?,?,?,?,?,?,?,?)');
            $array_param = array(
                $evdiodos[0]->Inspeccion_Id,
                $this->bool_to_diodo($evdiodos[0]->sDirecto01),
                $this->bool_to_diodo($evdiodos[0]->sDirecto02),
                $this->bool_to_diodo($evdiodos[0]->sDirecto03),
                $this->bool_to_diodo($evdiodos[0]->sInverso01),
                $this->bool_to_diodo($evdiodos[0]->sInverso02),
                $this->bool_to_diodo($evdiodos[0]->sInverso03),
                $this->bool_to_diodo($evdiodos[0]->sVaristor)
            );
            
            echo $stm->execute($array_param);
        } catch (Exception $exc) {
            echo $exc->getMessage();
        }
    }

    public function bool_to_diodo($boolvar)
    {
        $salida = '';
        switch ($boolvar) {
            case '1':
                $salida = 'OK';
                break;
            case '0':
                $salida = 'off';
                break;
            default:
                break;
        }
        return $salida;
    }

    public function GuardarEdicion_EvElectrica($evelectrica)
    {
        $salida = '';
        try {

            $stm = $this->pdo->prepare(
                'CALL ins_editar_evelectrica(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)'
            );

            $array_param = array(
                $evelectrica[0]->Inspeccion_Id,
                $evelectrica[0]->seleccion,
                $evelectrica[0]->sMegSerie,
                $evelectrica[0]->nMegT1T2,
                $evelectrica[0]->nMegT1T3,
                $evelectrica[0]->nMegT1T7,
                $evelectrica[0]->nMegT1T8,
                $evelectrica[0]->nMegT1T9,
                $evelectrica[0]->nMegT1Trr,
                $evelectrica[0]->nMegT1Val,
                $evelectrica[0]->sMegT1Obs,
                $evelectrica[0]->nMegT2T1,
                $evelectrica[0]->nMegT2T3,
                $evelectrica[0]->nMegT2T7,
                $evelectrica[0]->nMegT2T8,
                $evelectrica[0]->nMegT2T9,
                $evelectrica[0]->nMegT2Trr,
                $evelectrica[0]->nMegT2Val,
                $evelectrica[0]->sMegT2Obs,
                $evelectrica[0]->nMegT3T1,
                $evelectrica[0]->nMegT3T2,
                $evelectrica[0]->nMegT3T7,
                $evelectrica[0]->nMegT3T8,
                $evelectrica[0]->nMegT3T9,
                $evelectrica[0]->nMegT3Trr,
                $evelectrica[0]->nMegT3Val,
                $evelectrica[0]->sMegT3Obs,
                $evelectrica[0]->nMegT7T1,
                $evelectrica[0]->nMegT7T2,
                $evelectrica[0]->nMegT7T3,
                $evelectrica[0]->nMegT7T8,
                $evelectrica[0]->nMegT7T9,
                $evelectrica[0]->nMegT7Trr,
                $evelectrica[0]->nMegT7Val,
                $evelectrica[0]->sMegT7Obs,
                $evelectrica[0]->nMegT8T1,
                $evelectrica[0]->nMegT8T2,
                $evelectrica[0]->nMegT8T3,
                $evelectrica[0]->nMegT8T7,
                $evelectrica[0]->nMegT8T9,
                $evelectrica[0]->nMegT8Trr,
                $evelectrica[0]->nMegT8Val,
                $evelectrica[0]->sMegT8Obs,
                $evelectrica[0]->nMegT9T1,
                $evelectrica[0]->nMegT9T2,
                $evelectrica[0]->nMegT9T3,
                $evelectrica[0]->nMegT9T7,
                $evelectrica[0]->nMegT9T8,
                $evelectrica[0]->nMegT9Trr,
                $evelectrica[0]->nMegT9Val,
                $evelectrica[0]->sMegT9Obs,
                $evelectrica[0]->nMegEstExcTrr,
                $evelectrica[0]->nMegEstExcVal,
                $evelectrica[0]->sMegEstExcObs,
                $evelectrica[0]->nMegRotPplTrr,
                $evelectrica[0]->nMegRotPplVal,
                $evelectrica[0]->sMegRotPplObs,
                $evelectrica[0]->nMegRotExcTrr,
                $evelectrica[0]->nMegRotExcVal,
                $evelectrica[0]->sMegRotExcObs,
                $evelectrica[0]->nMegPgmTrr,
                $evelectrica[0]->nMegPgmVal,
                $evelectrica[0]->sMegPgmOnbs,
                $evelectrica[0]->sMegObservacion
            );

            echo $stm->execute($array_param);
        } catch (Exception $exc) {
            echo $exc->getMessage();
        }
    }

    public function GuardarEdicion_EvMecanica($evmecanica)
    {
        $salida = '';
        if (is_array($evmecanica)) {
            $contador = count($evmecanica);
            foreach ($evmecanica as $key => $value) {
                try {
                    $stm = $this->pdo->prepare('CALL ins_editar_evmecanica(?,?,?,?,?,?,?)');

                    $array_param = array(
                        $value->Inspeccion_Id,
                        $value->Pregunta_Id,
                        $value->Respuesta,
                        $value->Cantidad,
                        $value->NParte,
                        $value->Fecha,
                        $value->Observaciones
                    );

                    $stm->execute($array_param);
                } catch (Exception $exc) {
                    $salida .= $exc->getMessage();
                }
            }
        }

        return strlen($salida) == 0 ? '1' : $salida;
    }

    public function GuardarEdicion_Datos($cabecera)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL ins_editar(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
            $array_param = array(
                $cabecera[0]->Inspeccion_Id,
                $cabecera[0]->InsCliente,
                $cabecera[0]->InsCodCliente,
                $cabecera[0]->InsCodEquipo,
                $cabecera[0]->InsProducto,
                $cabecera[0]->InsServicio,
                $cabecera[0]->InsSerie,
                $cabecera[0]->InsMarca,
                $cabecera[0]->InsKW,
                $cabecera[0]->InsHorometro,
                $cabecera[0]->InsMotorMarca,
                $cabecera[0]->InsMotorSerie,
                $cabecera[0]->InsMotorListaPartes,
                $cabecera[0]->InsAlternadorMarca,
                $cabecera[0]->InsAlternadorMotor,
                $cabecera[0]->InsAlternadorSerie,
                $cabecera[0]->InsAlternadorKW,
                $cabecera[0]->InsFecha,
                $cabecera[0]->InsHoraInicio,
                $cabecera[0]->InsHoraTermino,
                $cabecera[0]->InsTecnicoResponsable,
                $cabecera[0]->InsFoto,
                $cabecera[0]->InsRepresentante,
                $cabecera[0]->InsRepCargo,
                $cabecera[0]->InsEstado,
                $cabecera[0]->InsEliminado,
                $cabecera[0]->InsUsuario_Id,
                $cabecera[0]->nInsSugerencia, //nuevo campo
                $cabecera[0]->sDistrito,
                $cabecera[0]->sSedeProyecto,
                $cabecera[0]->sNombreContacto,
                $cabecera[0]->sTelefonoContacto,
                $cabecera[0]->sCiudad,
                $cabecera[0]->sCalleAv,
                $cabecera[0]->sNumero
            );

            echo $stm->execute($array_param);
        } catch (Exception $exc) {
            echo $exc->getMessage();
        }
    }

    public function Listar()
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL ins_listarC(0)");
            $stm->execute();

            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $ins = new Inspecciones();
                $ins->__SET('Inspeccion_Id', $r->Inspeccion_Id);
                $ins->__SET('sInsCliente', $r->sInsCliente);
                $ins->__SET('sInsCodCliente', $r->sInsCodCliente);
                $ins->__SET('sInsCodEquipo', $r->sInsCodEquipo);
                $ins->__SET('sInsProducto', $r->sInsProducto);
                $ins->__SET('sInsServicio', $r->sInsServicio);
                $ins->__SET('sInsSerie', $r->sInsSerie);
                $ins->__SET('sInsMarca', $r->sInsMarca);
                $ins->__SET('sInsKW', $r->sInsKW);
                $ins->__SET('sInsHorometro', $r->sInsHorometro);
                $ins->__SET('sInsMotorMarca', $r->sInsMotorMarca);
                $ins->__SET('sInsMotorSerie', $r->sInsMotorSerie);
                $ins->__SET('sInsMotorListaPartes', $r->sInsMotorListaPartes);
                $ins->__SET('sInsAlternadorSerie', $r->sInsAlternadorSerie);
                $ins->__SET('sInsAlternadorKW', $r->sInsAlternadorKW);
                $ins->__SET('dInsFecha', $r->dInsFecha);
                $ins->__SET('dInsHoraInicio', $r->dInsHoraInicio);
                $ins->__SET('dInsHoraTermino', $r->dInsHoraTermino);
                $ins->__SET('sInsTecnicoResponsable', $r->sInsTecnicoResponsable);
                $ins->__SET('sInsFoto', $r->sInsFoto);
                $ins->__SET('nInsEstado', $r->nInsEstado);
                $ins->__SET('nInsEliminado', $r->nInsEliminado);
                $ins->__SET('dInsFecha_Act', $r->dInsFecha_Act);
                $ins->__SET('nInsUsuario_Id', $r->nInsUsuario_Id);

                $ins->__SET('Direccion', $r->Direccion);
                $ins->__SET('sDistrito', $r->sDistrito);
                $ins->__SET('sSedeProyecto', $r->sSedeProyecto);
                $ins->__SET('sNombreContacto', $r->sNombreContacto);
                $ins->__SET('sTelefonoContacto', $r->sTelefonoContacto);

                $ins->__SET('sCalleAv', $r->sCalleAv);
                $ins->__SET('sNumero', $r->sNumero);
                $ins->__SET('nInsCerEstadoAprob', $r->nInsCerEstadoAprob);
                $ins->__SET('nInsEstadoCli', $r->nInsEstadoCli);
                $result[] = $ins;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Listar_Date($fechaInicio, $fechaFin)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL ins_listarDate(0, '" . date('Y-m-d', strtotime($fechaInicio)) . "','" . date('Y-m-d', strtotime($fechaFin)) . "')");
            $stm->execute();

            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $ins = new Inspecciones();
                $ins->__SET('Inspeccion_Id', $r->Inspeccion_Id);
                $ins->__SET('sInsCliente', $r->sInsCliente);
                $ins->__SET('sInsCodCliente', $r->sInsCodCliente);
                $ins->__SET('sInsCodEquipo', $r->sInsCodEquipo);
                $ins->__SET('sInsProducto', $r->sInsProducto);
                $ins->__SET('sInsServicio', $r->sInsServicio);
                $ins->__SET('sInsSerie', $r->sInsSerie);
                $ins->__SET('sInsMarca', $r->sInsMarca);
                $ins->__SET('sInsKW', $r->sInsKW);
                $ins->__SET('sInsHorometro', $r->sInsHorometro);
                $ins->__SET('sInsMotorMarca', $r->sInsMotorMarca);
                $ins->__SET('sInsMotorSerie', $r->sInsMotorSerie);
                $ins->__SET('sInsMotorListaPartes', $r->sInsMotorListaPartes);
                $ins->__SET('sInsAlternadorSerie', $r->sInsAlternadorSerie);
                $ins->__SET('sInsAlternadorKW', $r->sInsAlternadorKW);
                $ins->__SET('dInsFecha', $r->dInsFecha);
                $ins->__SET('dInsHoraInicio', $r->dInsHoraInicio);
                $ins->__SET('dInsHoraTermino', $r->dInsHoraTermino);
                $ins->__SET('sInsTecnicoResponsable', $r->sInsTecnicoResponsable);
                $ins->__SET('sInsFoto', $r->sInsFoto);
                $ins->__SET('nInsEstado', $r->nInsEstado);
                $ins->__SET('nInsEliminado', $r->nInsEliminado);
                $ins->__SET('dInsFecha_Act', $r->dInsFecha_Act);
                $ins->__SET('nInsUsuario_Id', $r->nInsUsuario_Id);

                $ins->__SET('Direccion', $r->Direccion);
                $ins->__SET('sDistrito', $r->sDistrito);
                $ins->__SET('sSedeProyecto', $r->sSedeProyecto);
                $ins->__SET('sNombreContacto', $r->sNombreContacto);
                $ins->__SET('sTelefonoContacto', $r->sTelefonoContacto);

                $ins->__SET('sCalleAv', $r->sCalleAv);
                $ins->__SET('sNumero', $r->sNumero);
                $ins->__SET('nInsCerEstadoAprob', $r->nInsCerEstadoAprob);
                $ins->__SET('nInsEstadoCli', $r->nInsEstadoCli);
                $result[] = $ins;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Buscar($Inspeccion_Id)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL ins_listarC('$Inspeccion_Id')");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                //$pro = new Protocologe();
                $data = array(
                    'Inspeccion_Id' => $r->Inspeccion_Id,
                    'sInsCliente' => $r->sInsCliente,
                    'sInsCodCliente' => $r->sInsCodCliente,
                    'sInsCodEquipo' => $r->sInsCodEquipo,
                    'sInsProducto' => $r->sInsProducto,
                    'sInsServicio' => $r->sInsServicio,
                    'sInsSerie' => $r->sInsSerie,
                    'sInsMarca' => $r->sInsMarca,
                    'sInsKW' => $r->sInsKW,
                    'sInsHorometro' => $r->sInsHorometro,
                    'sInsMotorMarca' => $r->sInsMotorMarca,
                    'sInsMotorSerie' => $r->sInsMotorSerie,
                    'sInsMotorListaPartes' => $r->sInsMotorListaPartes,
                    'sInsAlternadorMarca' => $r->sInsAlternadorMarca,
                    'sInsAlternadorSerie' => $r->sInsAlternadorSerie,
                    'sInsAlternadorKW' => $r->sInsAlternadorKW,
                    'dInsFecha' => date('d-m-Y', strtotime($r->dInsFecha)),
                    'dInsHoraInicio' => $r->dInsHoraInicio,
                    'dInsHoraTermino' => $r->dInsHoraTermino,
                    'sInsTecnicoResponsable' => $r->sInsTecnicoResponsable,
                    'sInsFoto' => $r->sInsFoto,
                    'sInsRepresentante' => $r->sInsRepresentante,
                    'sInsRepCargo' => $r->sInsRepCargo,

                    'nInsEstado' => $r->nInsEstado,
                    'nInsEliminado' => $r->nInsEliminado,
                    'dInsFecha_Act' => $r->dInsFecha_Act,
                    'nInsUsuario_Id' => $r->nInsUsuario_Id,
                    'nInsSugerencia' => $r->nInsSugerencia,

                    'Direccion' =>  $r->Direccion,
                    'sDistrito' =>  $r->sDistrito,
                    'sCiudad' =>  $r->sCiudad,
                    'sSedeProyecto' =>  $r->sSedeProyecto,
                    'sNombreContacto' =>  $r->sNombreContacto,
                    'sTelefonoContacto' =>  $r->sTelefonoContacto,
                    'sCalleAv' => $r->sCalleAv,
                    'sNumero' => $r->sNumero,
                    'nInsCerEstadoAprob' => $r->nInsCerEstadoAprob

                );
                $result[] = $data;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function ListarDeCliente($Cliente_Codigo)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL ins_listarCli('$Cliente_Codigo',0)");
            $stm->execute();

            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $ins = new Inspecciones();
                $ins->__SET('Inspeccion_Id', $r->Inspeccion_Id);
                $ins->__SET('sInsCliente', $r->sInsCliente);
                $ins->__SET('sInsCodCliente', $r->sInsCodCliente);
                $ins->__SET('sInsCodEquipo', $r->sInsCodEquipo);
                $ins->__SET('sInsProducto', $r->sInsProducto);
                $ins->__SET('sInsServicio', $r->sInsServicio);
                $ins->__SET('sInsSerie', $r->sInsSerie);
                $ins->__SET('sInsMarca', $r->sInsMarca);
                $ins->__SET('sInsKW', $r->sInsKW);
                $ins->__SET('sInsHorometro', $r->sInsHorometro);
                $ins->__SET('sInsMotorMarca', $r->sInsMotorMarca);
                $ins->__SET('sInsMotorSerie', $r->sInsMotorSerie);
                $ins->__SET('sInsMotorListaPartes', $r->sInsMotorListaPartes);
                $ins->__SET('sInsAlternadorSerie', $r->sInsAlternadorSerie);
                $ins->__SET('sInsAlternadorKW', $r->sInsAlternadorKW);
                $ins->__SET('dInsFecha', $r->dInsFecha);
                $ins->__SET('dInsHoraInicio', $r->dInsHoraInicio);
                $ins->__SET('dInsHoraTermino', $r->dInsHoraTermino);
                $ins->__SET('sInsTecnicoResponsable', $r->sInsTecnicoResponsable);
                $ins->__SET('sInsFoto', $r->sInsFoto);
                $ins->__SET('nInsEstado', $r->nInsEstado);
                $ins->__SET('nInsEliminado', $r->nInsEliminado);
                $ins->__SET('dInsFecha_Act', $r->dInsFecha_Act);
                $ins->__SET('nInsUsuario_Id', $r->nInsUsuario_Id);

                $ins->__SET('Direccion', $r->Direccion);
                $ins->__SET('sDistrito', $r->sDistrito);
                $ins->__SET('sSedeProyecto', $r->sSedeProyecto);
                $ins->__SET('sNombreContacto', $r->sNombreContacto);
                $ins->__SET('sTelefonoContacto', $r->sTelefonoContacto);
                /*em 12-01-21 */
                $ins->__SET('nInsEstadoCli', $r->nInsEstadoCli);
                $ins->__SET('nInsEstadoCliFecha_Act', $r->nInsEstadoCliFecha_Act);
                $ins->__SET('nInsEstadoCliUsuario_Id', $r->nInsEstadoCliUsuario_Id);

                $result[] = $ins;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function ListarDeClienteDate($Cliente_Codigo, $fechaInicio, $fechaFin)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL ins_listarCliDate('$Cliente_Codigo',0, '" . date('Y-m-d', strtotime($fechaInicio)) . "','" . date('Y-m-d', strtotime($fechaFin)) . "' )");
            $stm->execute();

            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $ins = new Inspecciones();
                $ins->__SET('Inspeccion_Id', $r->Inspeccion_Id);
                $ins->__SET('sInsCliente', $r->sInsCliente);
                $ins->__SET('sInsCodCliente', $r->sInsCodCliente);
                $ins->__SET('sInsCodEquipo', $r->sInsCodEquipo);
                $ins->__SET('sInsProducto', $r->sInsProducto);
                $ins->__SET('sInsServicio', $r->sInsServicio);
                $ins->__SET('sInsSerie', $r->sInsSerie);
                $ins->__SET('sInsMarca', $r->sInsMarca);
                $ins->__SET('sInsKW', $r->sInsKW);
                $ins->__SET('sInsHorometro', $r->sInsHorometro);
                $ins->__SET('sInsMotorMarca', $r->sInsMotorMarca);
                $ins->__SET('sInsMotorSerie', $r->sInsMotorSerie);
                $ins->__SET('sInsMotorListaPartes', $r->sInsMotorListaPartes);
                $ins->__SET('sInsAlternadorSerie', $r->sInsAlternadorSerie);
                $ins->__SET('sInsAlternadorKW', $r->sInsAlternadorKW);
                $ins->__SET('dInsFecha', $r->dInsFecha);
                $ins->__SET('dInsHoraInicio', $r->dInsHoraInicio);
                $ins->__SET('dInsHoraTermino', $r->dInsHoraTermino);
                $ins->__SET('sInsTecnicoResponsable', $r->sInsTecnicoResponsable);
                $ins->__SET('sInsFoto', $r->sInsFoto);
                $ins->__SET('nInsEstado', $r->nInsEstado);
                $ins->__SET('nInsEliminado', $r->nInsEliminado);
                $ins->__SET('dInsFecha_Act', $r->dInsFecha_Act);
                $ins->__SET('nInsUsuario_Id', $r->nInsUsuario_Id);

                $ins->__SET('Direccion', $r->Direccion);
                $ins->__SET('sDistrito', $r->sDistrito);
                $ins->__SET('sSedeProyecto', $r->sSedeProyecto);
                $ins->__SET('sNombreContacto', $r->sNombreContacto);
                $ins->__SET('sTelefonoContacto', $r->sTelefonoContacto);
                /*em 12-01-21 */
                $ins->__SET('nInsEstadoCli', $r->nInsEstadoCli);
                $ins->__SET('nInsEstadoCliFecha_Act', $r->nInsEstadoCliFecha_Act);
                $ins->__SET('nInsEstadoCliUsuario_Id', $r->nInsEstadoCliUsuario_Id);

                $result[] = $ins;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function BuscarDeCliente($Cliente_Codigo, $Inspeccion_Id)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL ins_listarCli('$Cliente_Codigo',$Inspeccion_Id)");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                //$pro = new Protocologe();
                $data = array(
                    'Inspeccion_Id' => $r->Inspeccion_Id,
                    'sInsCliente' => $r->sInsCliente,
                    'sInsCodCliente' => $r->sInsCodCliente,
                    'sInsCodEquipo' => $r->sInsCodEquipo,
                    'sInsProducto' => $r->sInsProducto,
                    'sInsServicio' => $r->sInsServicio,
                    'sInsSerie' => $r->sInsSerie,
                    'sInsMarca' => $r->sInsMarca,
                    'sInsKW' => $r->sInsKW,
                    'sInsHorometro' => $r->sInsHorometro,
                    'sInsMotorMarca' => $r->sInsMotorMarca,
                    'sInsMotorSerie' => $r->sInsMotorSerie,
                    'sInsMotorListaPartes' => $r->sInsMotorListaPartes,
                    'sInsAlternadorMarca' => $r->sInsAlternadorMarca,
                    'sInsAlternadorSerie' => $r->sInsAlternadorSerie,
                    'sInsAlternadorKW' => $r->sInsAlternadorKW,
                    'dInsFecha' => date('d-m-Y', strtotime($r->dInsFecha)),
                    'dInsHoraInicio' => $r->dInsHoraInicio,
                    'dInsHoraTermino' => $r->dInsHoraTermino,
                    'sInsTecnicoResponsable' => $r->sInsTecnicoResponsable,
                    'sInsFoto' => $r->sInsFoto,
                    'sInsRepresentante' => $r->sInsRepresentante,
                    'sInsRepCargo' => $r->sInsRepCargo,

                    'nInsEstado' => $r->nInsEstado,
                    'nInsEliminado' => $r->nInsEliminado,
                    'dInsFecha_Act' => $r->dInsFecha_Act,
                    'nInsUsuario_Id' => $r->nInsUsuario_Id,

                    'Direccion' =>  $r->Direccion,
                    'sDistrito' =>  $r->sDistrito,
                    'sSedeProyecto' =>  $r->sSedeProyecto,
                    'sNombreContacto' =>  $r->sNombreContacto,
                    'sTelefonoContacto' =>  $r->sTelefonoContacto
                );
                $result[] = $data;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }


    public function ListarSistemas()
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL sis_listarC(0)");
            $stm->execute();

            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $data = array(
                    'Sistema_Id' => $r->Sistema_Id,
                    'sSisNombre' => $r->sSisNombre,
                    'nSisEstado' => $r->nSisEstado,
                    'dSisFecha_Act' => $r->dSisFecha_Act,
                    'nSisUsuario_Id' => $r->nSisUsuario_Id,
                    'nSisTipo' => $r->nSisTipo
                );

                $result[] = $data;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function ListarPreguntas()
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL pre_listarC(0)");
            $stm->execute();

            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $data = array(
                    'Pregunta_Id' => $r->Pregunta_Id,
                    'sPreDescripcion' => $r->sPreDescripcion,
                    'nPreEstado' => $r->nPreEstado,
                    'dPreFecha_Act' => $r->dPreFecha_Act,
                    'nPreUsuario_Id' => $r->nPreUsuario_Id,
                    'nPreOrden' => $r->nPreOrden,
                    'sSisNombre' => $r->sSisNombre
                );

                $result[] = $data;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function ListarDetalle1($Inspeccion_Id)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL ins_listardetalle1('$Inspeccion_Id')");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                //$pro = new Protocologe();
                $data = array(
                    'Sistema_Id' => $r->Sistema_Id,
                    'sSisNombre' => $r->sSisNombre,
                    'Pregunta_Id' => $r->Pregunta_Id,
                    'nPreOrden' => $r->nPreOrden,
                    'sPreDescripcion' => $r->sPreDescripcion,
                    'Reemplazado' => $r->Reemplazado,
                    'Operativo' => $r->Operativo,
                    'Programar' => $r->Programar,
                    'Correctivo' => $r->Correctivo,
                    'nPreCantidad' => $r->nPreCantidad,
                    'nPreNroParte' => $r->nPreNroParte,
                    'sPreFecha' => $r->sPreFecha,
                    'sPreObservaciones' => $r->sPreObservaciones,
                    'sPreFoto' => $r->sPreFoto
                );

                $result[] = $data;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    // TODO AGREGANDO EL ID TABLET
    public function ListarDetalle2($Inspeccion_Id, $id_tablet)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL ins_listardetalle2('$Inspeccion_Id', '$id_tablet')");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $data = array(
                    'Inspeccion_Id' => $r->Inspeccion_Id, 'quinientos' => $r->quinientos, 'mil' => $r->mil, 'nMegSelVolPru' => $r->nMegSelVolPru, 'sMegSerie' => $r->sMegSerie, 'nMegT1T2' => $r->nMegT1T2, 'nMegT1T3' => $r->nMegT1T3, 'nMegT1T7' => $r->nMegT1T7, 'nMegT1T8' => $r->nMegT1T8, 'nMegT1T9' => $r->nMegT1T9, 'nMegT1Trr' => $r->nMegT1Trr, 'nMegT1Val' => $r->nMegT1Val, 'sMegT1Obs' => $r->sMegT1Obs, 'nMegT2T1' => $r->nMegT2T1, 'nMegT2T3' => $r->nMegT2T3, 'nMegT2T7' => $r->nMegT2T7, 'nMegT2T8' => $r->nMegT2T8, 'nMegT2T9' => $r->nMegT2T9, 'nMegT2Trr' => $r->nMegT2Trr, 'nMegT2Val' => $r->nMegT2Val, 'sMegT2Obs' => $r->sMegT2Obs, 'nMegT3T1' => $r->nMegT3T1, 'nMegT3T2' => $r->nMegT3T2, 'nMegT3T7' => $r->nMegT3T7, 'nMegT3T8' => $r->nMegT3T8, 'nMegT3T9' => $r->nMegT3T9, 'nMegT3Trr' => $r->nMegT3Trr, 'nMegT3Val' => $r->nMegT3Val, 'sMegT3Obs' => $r->sMegT3Obs, 'nMegT7T1' => $r->nMegT7T1, 'nMegT7T2' => $r->nMegT7T2, 'nMegT7T3' => $r->nMegT7T3, 'nMegT7T8' => $r->nMegT7T8, 'nMegT7T9' => $r->nMegT7T9, 'nMegT7Trr' => $r->nMegT7Trr, 'nMegT7Val' => $r->nMegT7Val, 'sMegT7Obs' => $r->sMegT7Obs, 'nMegT8T1' => $r->nMegT8T1, 'nMegT8T2' => $r->nMegT8T2, 'nMegT8T3' => $r->nMegT8T3, 'nMegT8T7' => $r->nMegT8T7, 'nMegT8T9' => $r->nMegT8T9, 'nMegT8Trr' => $r->nMegT8Trr, 'nMegT8Val' => $r->nMegT8Val, 'sMegT8Obs' => $r->sMegT8Obs, 'nMegT9T1' => $r->nMegT9T1, 'nMegT9T2' => $r->nMegT9T2, 'nMegT9T3' => $r->nMegT9T3, 'nMegT9T7' => $r->nMegT9T7, 'nMegT9T8' => $r->nMegT9T8, 'nMegT9Trr' => $r->nMegT9Trr, 'nMegT9Val' => $r->nMegT9Val, 'sMegT9Obs' => $r->sMegT9Obs, 'nMegEstExcTrr' => $r->nMegEstExcTrr, 'nMegEstExcVal' => $r->nMegEstExcVal, 'sMegEstExcObs' => $r->sMegEstExcObs, 'nMegRotPplTrr' => $r->nMegRotPplTrr, 'nMegRotPplVal' => $r->nMegRotPplVal, 'sMegRotPplObs' => $r->sMegRotPplObs, 'nMegRotExcTrr' => $r->nMegRotExcTrr, 'nMegRotExcVal' => $r->nMegRotExcVal, 'sMegRotExcObs' => $r->sMegRotExcObs, 'nMegPgmTrr' => $r->nMegPgmTrr, 'nMegPgmVal' => $r->nMegPgmVal, 'sMegPgmObs' => $r->sMegPgmObs, 'sMegObservacion' => $r->sMegObservacion

                );
                $result[] = $data;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function ListarDetalle2Diodos($Inspeccion_Id, $id_tablet)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL ins_listardetalle2diodos('$Inspeccion_Id', '$id_tablet')");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $data = array(
                    'Inspeccion_Id' => $r->Inspeccion_Id, 'sDirecto01' => $r->sDirecto01, 'sDirecto02' => $r->sDirecto02, 'sDirecto03' => $r->sDirecto03, 'sInverso01' => $r->sInverso01, 'sInverso02' => $r->sInverso02, 'sInverso03' => $r->sInverso03, 'sVaristor' => $r->sVaristor
                );
                $result[] = $data;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function ListarDetalle3($Inspeccion_Id, $id_tablet)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL ins_listardetalle3('$Inspeccion_Id', '$id_tablet')");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $ins = array(
                    'Inspeccion_Id' => $r->Inspeccion_Id, 'sPruHoraIni' => $r->sPruHoraIni, 'sPruHoraTer' => $r->sPruHoraTer, 'sPruFasesRST' => $r->sPruFasesRST, 'sPruSet00' => $r->sPruSet00, 'sPruSet25' => $r->sPruSet25, 'sPruSet50' => $r->sPruSet50, 'sPruSet75' => $r->sPruSet75, 'sPruSet100' => $r->sPruSet100, 'sPruSet110' => $r->sPruSet110, 'nPruTiempo' => $r->nPruTiempo, 'sPruValor' => $r->sPruValor, 'sPruObservaciones' => $r->sPruObservaciones, 'sPruFoto' => $r->sPruFoto
                );
                $result[] = $ins;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function ListarDetalle3detalle($Inspeccion_Id)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL ins_listardetalle3detalle('$Inspeccion_Id')");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $ins = array(
                    'Inspeccion_Id' => $r->Inspeccion_Id, 'Prueba_Carga_Id' => $r->Prueba_Carga_Id, 'sRegSetPoint' => $r->sRegSetPoint, 'sPruDet01' => $r->sPruDet01, 'sPruDet02' => $r->sPruDet02, 'sPruDet03' => $r->sPruDet03, 'sPruDet04' => $r->sPruDet04, 'sPruDet05' => $r->sPruDet05, 'sPruDet06' => $r->sPruDet06, 'sPruDet07' => $r->sPruDet07, 'sPruDet08' => $r->sPruDet08, 'sPruDet09' => $r->sPruDet09, 'sPruDet10' => $r->sPruDet10, 'sPruDet11' => $r->sPruDet11, 'sPruDet12' => $r->sPruDet12, 'sPruDet13' => $r->sPruDet13, 'sPruDet14' => $r->sPruDet14, 'sPruDet15' => $r->sPruDet15, 'sPruDet16' => $r->sPruDet16, 'sPruDet17' => $r->sPruDet17, 'sPruDet18' => $r->sPruDet18, 'sPruDet19' => $r->sPruDet19, 'sPruDet20' => $r->sPruDet20, 'sPruDetObs' => $r->sPruDetObs


                );
                $result[] = $ins;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function EliminarInspeccion($Inspeccion_Id)
    {
        try {
            $stm = $this->pdo->prepare("CALL ins_ocultar('$Inspeccion_Id')");
            $stm->execute();
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    ////////////////////////// //////////////////////////////////////////////////////////////////////////

    public function ListarUsuariosApp()
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL usuapp_listar(0)");
            $stm->execute();

            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $usu = new Usuario();
                $usu->__SET('Usuario_Id', $r->Usuario_Id);
                $usu->__SET('sUsuPassword', $r->sUsuPassword);

                $result[] = $usu;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function autenticar($Usuario, $Clave)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL usu_autentica('" . $Usuario . "','" . $Clave . "');");
            $stm->execute();

            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $usu = new Usuario();
                $usu->__SET('Usuario_Id', $r->Usuario_Id);
                $usu->__SET('Personal_Id', $r->Personal_Id);
                $usu->__SET('sUsuNombre', $r->sUsuNombre);
                $usu->__SET('sUsuLogin', $r->sUsuLogin);
                $usu->__SET('sUsuContrasena', $r->sUsuContrasena);
                $usu->__SET('nUsuTipo', $r->nUsuTipo);
                $usu->__SET('nUsuEstado', $r->nUsuEstado);
                $result[] = $usu;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Guardar(Usuario $data)
    {
        try {
            $stm = $this->pdo->prepare("CALL usu_crear(?,?,?,?,?,?,?,?,?)");
            $stm->execute(array(
                $data->__get('Personal_Id'),
                $data->__get('sUsuNombre'),
                $data->__get('sUsuLogin'),
                $data->__get('sUsuContrasena'),
                $data->__get('nUsuTipo'),
                $data->__get('nUsuEstado'),
                $data->__get('nUsuEliminado'),
                $data->__get('nUsuUsuarioOwn_Id'),
                $data->__get('sUsuCodigosap')
            ));
            echo '<div class="alert alert-success alert-dismissable">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    <h4>	<i class="icon fa fa-check"></i> Informacion Guardada.</h4>
                    La informacion fue registrada satisfactoriamente.
                  </div>';
        } catch (Exception $e) {
            echo '<div class="alert alert-danger" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <strong>Error!</strong>,' . $e->getMessage() . '.
                  </div>';
        }
    }

    public function Editar(Usuario $data)
    {
        try {
            $stm = $this->pdo->prepare("CALL usu_editar(?,?,?,?,?,?,?,?,?,?)");
            $stm->execute(array(
                $data->__get('Personal_Id'),
                $data->__get('sUsuNombre'),
                $data->__get('sUsuLogin'),
                $data->__get('sUsuContrasena'),
                $data->__get('nUsuTipo'),
                $data->__get('nUsuEstado'),
                $data->__get('nUsuEliminado'),
                $data->__get('nUsuUsuarioOwn_Id'),
                $data->__get('Usuario_Id'),
                $data->__get('sUsuCodigosap')
            ));
            echo '<div class="alert alert-success alert-dismissable">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    <h4>	<i class="icon fa fa-check"></i> Informacion Modificada.</h4>
                    La informacion fue modificada satisfactoriamente.
                  </div>';
            echo '<script type="text/javascript">window.location="?c=Usuario&a=Index";</script>';
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Claves(Usuario $data)
    {
        try {
            $stm = $this->pdo->prepare("CALL usu_claves(?,?)");
            $stm->execute(array(
                $data->__get('Usuario_Id'),
                $data->__get('sUsuContrasena')
            ));
            echo '<div class="alert alert-success alert-dismissable">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    <h4>	<i class="icon fa fa-check"></i> Informacion Guardada.</h4>
                    La informacion fue guardada satisfactoriamente.
                  </div>';
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function ClavesClientes(Clientes $data)
    {
        try {
            $stm = $this->pdo->prepare("CALL usu_clavesClientes(?,?)");
            $stm->execute(array(
                $data->__get('Cliente_Id'),
                $data->__get('sCliPassword')
            ));
            echo '<div class="alert alert-success alert-dismissable">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    <h4>	<i class="icon fa fa-check"></i> Informacion Guardada.</h4>
                    La informacion fue guardada satisfactoriamente.
                  </div>';
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Estado(Usuario $data)
    {
        try {
            $stm = $this->pdo->prepare("CALL usu_estado(?,?)");
            $stm->execute(array($data->__get('Usuario_Id'), $data->__get('nUsuEstado')));
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Disabled($usuario)
    {
        try {
            $stm = $this->pdo->prepare("CALL usu_disabled('$usuario')");
            $stm->execute();
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    /*em 18-12-2020 */
    public function validaCert($Inspeccion_Id)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("SELECT inspecciones_certificado_id as id, sInsCerCorrelativo, nInsMes, nInsCerEstadoAprob FROM inspecciones_certificado where Inspeccion_Id = '$Inspeccion_Id'");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $data = array(
                    'id' => $r->id,
                    'sInsCerCorrelativo' => $r->sInsCerCorrelativo,
                    'nInsMes' => $r->nInsMes,
                    'nInsCerEstadoAprob' => $r->nInsCerEstadoAprob,
                );
                $result[] = $data;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function crearCert($Inspeccion_Id, $num, $re, $usucod, $nInsMes)
    {
        try {
            $result = array();
            //$insertSql = "INSERT INTO `posts`  (`title`, `body`, `date_posted`)   VALUES   (:title, :body, :date_posted)";
            $stm = $this->pdo->prepare("INSERT INTO inspecciones_certificado (`Inspeccion_Id`,`sInsCerCorrelativo`,  `dInsFechaVencimiento`, `dInsFecha_Act`, `nInsUsuario_Id`, `nInsMes`) VALUES ('$Inspeccion_Id', '$num', '$re', now(), '$usucod', '$nInsMes' ) ");
            $stm->execute();
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function buscarLastCert($Inspeccion_Id)
    {
        try {
            $result = array();

            $stm = $this->pdo->prepare("SELECT MAX(inspecciones_certificado_id) AS id FROM inspecciones_certificado ");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                //$pro = new Protocologe();
                $data = array(
                    'id' => $r->id,
                );
                $result[] = $data;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    /*em 22-01-2021 */
    public function aprobarCertificado($Inspeccion_Id)
    {
        $usucod = $_SESSION['usu_codigo'];
        try {
            $result = array();
            $stm = $this->pdo->prepare("UPDATE inspecciones_certificado  SET `nInsCerEstadoAprob`= 2 where Inspeccion_Id = '$Inspeccion_Id'");
            $stm->execute();
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    /* em 13-01-21 */
    public function CertPorVencer()
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("SELECT inspecciones_certificado_id as id, Inspeccion_Id, sInsCerCorrelativo, dInsFechaVencimiento FROM inspecciones_certificado");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $data = array(
                    'id' => $r->id,
                    'Inspeccion_Id' => $r->Inspeccion_Id,
                    'sInsCerCorrelativo' => $r->sInsCerCorrelativo,
                    'dInsFechaVencimiento' => $r->dInsFechaVencimiento
                );
                $result[] = $data;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    /*em 20-01-2021 */
    public function CertificadosxvencerCli($condicion)
    {
        try {
            $result = array();
            //$stm = $this->pdo->prepare("CALL rpt_certificadosxvencer()");
            $stm = $this->pdo->prepare("SELECT inspecciones_certificado_id as id, ic.Inspeccion_Id, sInsCerCorrelativo, dInsFechaVencimiento, i.sInsCodCliente FROM inspecciones_certificado ic inner join inspecciones i on ic.Inspeccion_Id=i.Inspeccion_Id");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                if ($r->sInsCodCliente == $condicion) {
                    $result[] = $r;
                }
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    /*em 12-01-20 */
    public function AceptarInspeccion($Inspeccion_Id, $valora)
    {
        $usucod = $_SESSION['usu_codigo'];
        try {
            $result = array();
            $stm = $this->pdo->prepare("UPDATE inspecciones  SET `nInsEstadoCli`= '$valora', `nInsEstadoCliFecha_Act` = now(), `nInsEstadoCliUsuario_Id` = '$usucod' WHERE `Inspeccion_Id`= '$Inspeccion_Id' ");
            $stm->execute();
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function EliminarPregunta($Id_inspeccion, $Pregunta_Id)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare('CALL ins_eliminar_pregunta(?,?)');
            $stm->execute([$Id_inspeccion, $Pregunta_Id]);
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $result[] = $r;
            }

            return $result;
        } catch (Exception $exc) {
            echo $exc->getMessage();
        }
    }
}
