<!-- Content Header (Page header) -->
<style type="text/css">
    #preloader_files {
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        /*background: #000;*/
        background: black;
        opacity: 0.7;
        z-index: 100000;
    }

    #loader {
        width: 100px;
        height: 100px;
        position: absolute;
        left: 50%;
        top: 50%;
        background: url(view/librerias/dist/img/loader.gif) no-repeat center 0;
        animation: loader 1.2s infinite;
        margin: -50px 0 0 -50px;
    }
</style>
<section class="content-header">
    <h1>
        Órdenes Taller
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">OT</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Relación de órdenes de taller</h3>
                    <div class="row">
                        <div class="col-md-6 text-left" style="margin-top: 15px;">
                            <?php if ($_SESSION['usu_tipo'] != 2) {  ?>
                                <a class="btn btn-primary btn-flat" href="#" data-idot="0" data-toggle="modal" data-target="#form-ot">Nueva Orden de Taller</a>
                            <?php } ?>
                        </div>
                    </div>
                </div> <!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped text-center">
                        <thead>
                            <tr>
                                <th>Fecha</th>
                                <?php if ($_SESSION['usu_tipo'] != 2) {  ?>
                                    <th>Código Cliente</th>
                                <?php } ?>
                                <th>Orden de Taller</th>
                                <th>Operaciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($ordenestaller as $r) : ?>
                                <tr>
                                    <td><?php echo date('d-m-Y', strtotime($r->dOTFecha)); ?></td>
                                    <?php if ($_SESSION['usu_tipo'] != 2) {  ?>
                                        <td><?php echo $r->sOTCodCliente . '- ' . $r->sOTCliente; ?></td>
                                    <?php } ?>
                                    <td><?php echo $r->sOTNumOrdenT; ?></td>
                                    <td>
                                        <!--para ver todos -->

                                        <a title="Descargar Excel" href='./ordenes_taller/<?php echo $r->sOTArchivo ?>' download="<?= $r->sOTArchivo ?>" class="btn btn-xs btn-flat btn-success"><i class="fa fa-download"></i></a>
                                        <?php if ($_SESSION['usu_tipo'] != 2) {  ?>
                                            <a href="#" class="btn btn-warning btn-xs view" data-toggle="modal" data-target="#form-ot" data-idot="<?php echo $r->ordenestaller_id; ?>"><i class="fa fa-pencil"></i></a>
                                            <button type="button" class="btn btn-danger btn-xs" title="Eliminar" data-toggle="modal" data-target="#modal-eliminar" data-codigo="<?php echo $r->ordenestaller_id; ?>"><i class="fa fa-trash-o"></i></button>
                                        <?php } ?>
                                    </td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>Fecha</th>
                                <?php if ($_SESSION['usu_tipo'] != 2) {  ?>
                                    <th>Código Cliente</th>
                                <?php } ?>
                                <th>Orden de Taller</th>
                                <th>Operaciones</th>
                            </tr>
                        </tfoot>
                    </table>



                    <!-- Modal modal-eliminar -->
                    <div class="modal fade" id="modal-eliminar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=OrdenesTaller&a=Eliminar" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-eliminar-label">Eliminar Orden de Taller</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" name="ordenestaller_id" id="ordenestaller_id" value="">
                                        ¿Estás seguro que deseas eliminar la orden?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="submit" class="btn btn-primary">Sí, eliminar</button>
                                        <button type="button" class="btn btn-default" data-dismiss="modal">No, cancelar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-eliminar -->

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->

<!-- Modal modal-crear nueva orden -->
<div class="modal fade" id="form-ot" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content modal-conten-login">
            <form method="post" id="FrmOT" enctype="multipart/form-data">
                <div class="modal-header d-flex align-items-center justify-content-between bg-light-blue">
                    <h4 class="modal-title modal-title-solicitud">Nueva Orden de Taller</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div id="preloader_files">
                    <div id="loader">&nbsp;</div>
                </div>
                <div class="modal-body">
                    <div class="form-group has-feedback" id="resultado-ot"></div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group has-feedback">
                                        <label>Fecha</label>
                                        <input type="hidden" id="nOTUsuario_Id" value="<?php echo $_SESSION['usu_codigo']; ?>" />
                                        <input type="hidden" id="ordenestaller_id" value="0" />
                                        <div class="input-group dGarFechaActivacion">
                                            <input name="dOTFecha" id="dOTFecha" type="text" class="form-control datepicker" data-toggle="tooltip" data-placement="top" value="date('d/m/Y');" />
                                            <span class="input-group-addon">
                                                <span class="fa fa-calendar"></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <!-- <div class="form-group has-feedback">
                                        <label>Código Cliente</label>
                                        <input name="sOTCodCliente" id="sOTCodCliente" type="text" class="form-control" placeholder="Cod.cliente" data-toggle="tooltip" data-placement="top" />
                                    </div> -->


                                    <label>Cliente</label>
                                    <select class="form-control" id="CodCliente" data-live-search="true">
                                        <option value="">Seleccione cliente</option>
                                        <?php

                                        foreach ($clientes as $cli) : ?>
                                            <option data-cliente="<?php echo $cli->sCliNombre; ?>" value="<?php echo $cli->sCliCodigo; ?>"><?php echo $cli->sCliCodigo . '- ' . $cli->sCliNombre; ?></option>
                                        <?php endforeach; ?>
                                    </select>
                                    <label id="CodCliente-error" class="error help-block" for="CodCliente" style="display: none;"></label>

                                    
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="row">
                                <!-- <div class="col-md-12">
                                    <div class="form-group has-feedback">
                                        <label>Cliente</label>
                                        <input name="sOTCliente" id="sOTCliente" type="text" class="form-control" placeholder="Cliente" data-toggle="tooltip" data-placement="top" />
                                    </div>

                                </div> -->
                                <div class="col-md-12">
                                    <div class="form-group has-feedback">
                                        <label>Descripción</label>
                                        <input name="sOTNumOrdenT" id="sOTNumOrdenT" type="text" class="form-control" placeholder="Descripción" maxlength="100" data-toggle="tooltip" data-placement="top" />
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="row">
                                <div id="resultadoarchivos" class="resultadoarchivo"></div>
                                <div class="col-md-12">
                                    <div class="form-group has-feedback">
                                        <label>Archivo</label>

                                        <input name="sOTArchivo" id="sOTArchivo" onchange="GuardarArchivo()" type="file" class="form-control" data-toggle="tooltip" data-placement="top" />
                                        <input name="sOTArchivo2" id="sOTArchivo2" type="hidden" />
                                    </div>
                                </div>
                            </div>

                            <div id="zona">
                                <!-- ARCHIVO SUBIDO
                                <BR>
                                <script>$("#sOTArchivo").val()</script> -->

                            </div>

                        </div>

                    </div>
                </div>
                <div class="modal-footer d-flex justify-content-center">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                    <button type="button" class="btn btn-primary" id="btn-guardar-ot">Guardar</button>
                </div>

            </form>
        </div>
    </div>
</div>
</div>
<!-- Fin Modal modal-crear nueva orden -->

<script type="text/javascript" src="view/librerias/dist/js/funcionesInspeccion.js"></script>

<script type="text/javascript">
    $(document).ready(function() {
//  $('#CodCliente').selectpicker("refresh");
        $("#example1").dataTable({
            "aaSorting": []
        });
        var max_chars = 500;
        $('.datepicker').datetimepicker({
            viewMode: 'days',
            format: 'DD-MM-YYYY'
        });
        $('#preloader_files').fadeOut('slow');
    });
    //$('#dOTFecha').datetimepicker();
    $("#dOTFecha").on("dp.change", function(e) {
        //$('#dOTFecha').data("DateTimePicker").minDate(e.date);

    }); //date function
    $("#btn-guardar-ot").click(function() {
        var archivo = document.getElementById('sOTArchivo').value;

        if ($("#FrmOT").valid()) {
            $.post('?c=OrdenesTaller&a=Guardar', {
                ordenestaller_id: document.getElementById('ordenestaller_id').value,
                dOTFecha: mifechaformato(document.getElementById('dOTFecha').value), //document.getElementById('dOTFecha').value,
                sOTCodCliente: document.getElementById('CodCliente').value,
                sOTCliente: $('#CodCliente').find(':selected').data('cliente'),
                sOTNumOrdenT: document.getElementById('sOTNumOrdenT').value,
                sOTArchivo: archivo.substring(12),
                nOTUsuario_Id: document.getElementById('nOTUsuario_Id').value

            }, function(data) {
                $('body').css({
                    'overflow': 'visible'
                });
                $("#resultado-ot").html(data);
            });

        }
    });

    function GuardarArchivo() {
        $('#preloader_files').fadeIn('slow');
        var formData = new FormData(document.getElementById("FrmOT"));

        $.ajax({
            url: '?c=OrdenesTaller&a=SubirArchivo',
            type: 'POST',
            data: formData,
            processData: false,
            contentType: false,

            success: function(data) {
                $('#preloader_files').fadeOut('slow');
                // $("#resultadoarchivos").html(data);
                console.log(data);
                // setTimeout(function() {
                //     $("#resultadoarchivos").fadeOut(3000);
                // }, 1000);
            }
        });
    }


    $('#form-ot').on('show.bs.modal', function(event) {
       
        var button = $(event.relatedTarget);
        var modal = $(this);
        var idot = button.data('idot');
        modal.find('#ordenestaller_id').val(idot);
        if (idot != 0) {
            $.post('?c=OrdenesTaller&a=Buscar', {
                ordenestaller_id: idot
            }, function(data) {
               
                var datos = JSON.parse(data);
                console.log(datos);
                $("#ordenestaller_id").val(datos[0].ordenestaller_id);
                $("#dOTFecha").val(datos[0].dOTFecha);
                $("#CodCliente").val(datos[0].sOTCodCliente);
                // $("#sOTCodCliente").val(datos[0].sOTCodCliente);
                // $("#sOTCliente").val(datos[0].sOTCliente);
                $("#sOTNumOrdenT").val(datos[0].sOTNumOrdenT);
                $("#sOTArchivo2").val(datos[0].sOTArchivo);

                if ($("#sOTArchivo2").val(datos[0].sOTArchivo) != '') {
                    var archivo_excel = '<div>';
                    archivo_excel += 'ARCHIVO SUBIDO:';
                    archivo_excel += '<BR>';
                    archivo_excel += '' + datos[0].sOTArchivo + '';

                    archivo_excel += ' <?php $ruta = './ordenes_taller/' ?>';
                    archivo_excel += '<td align="center">';
                    archivo_excel += '<a href="<?php echo $ruta ?>' + datos[0].sOTArchivo + '" class="btn btn-xs btn-flat btn-success"  target="_blank"> Ver Excel </a></td>';
                    archivo_excel += '</div>';
                    $("#zona").append(archivo_excel);
                }

            });
        }
        limpiar();
    });

    function limpiar() {
        document.getElementById('dOTFecha').value = "";
        // document.getElementById('sOTCodCliente').value = "";
        // document.getElementById('sOTCliente').value = "";
        $('#CodCliente').prop('selectedIndex', 0);
        document.getElementById('sOTNumOrdenT').value = "";
        document.getElementById('sOTArchivo').value = "";
        document.getElementById('zona').innerHTML = '';
    }

    $('#modal-eliminar').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget);
        var recipient = button.data('codigo');

        var modal = $(this);
        modal.find('#ordenestaller_id').val(recipient);
    });

    function mifechaformato(fecha) {
        var nueva = fecha.split(" ")[0];
        //var hora =fecha.split(" ")[1];
        var format = nueva.split("-");
        var ultima = format[2] + '-' + format[1] + '-' + format[0];
        return ultima;
    }
</script>