<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Certificados por vencer
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Certificadosxvencer</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Relación de Certificados</h3>
                </div> <!-- /.box-header -->
                <div class="row">
                    <div class="col-md-8">
                        <div class="row">
                            <div class="col-md-6">
                                <button type="button" class="btn btn-success btn-flat" id="click-export-excel" onclick="exportarexcel();">Exportar Excel <i class="fa fa-file-excel-o" aria-hidden="true"></i></button>
                                <?php
                                if ($_SESSION['usu_tipo'] != 2) {
                                ?>
                                    <button type="button" class="btn btn-warning btn-flat" id="click-export-mail" onclick="enviarCorreoMasivo();">Enviar correo masivo <i class="fa fa-share" aria-hidden="true"></i></button>
                                <?php
                                }
                                ?>

                            </div>
                        </div>

                    </div>
                </div>

                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped text-center">
                        <thead>
                            <tr>
                                <th>Cliente</th>
                                <th>Cod Cliente</th>
                                <th>Fecha certificado</th>
                                <th>Producto</th>
                                <th>Servicio</th>
                                <th>Sede/Proyecto</th>
                                <th>Fecha vencimiento</th>
                              
                            </tr>
                        </thead>
                        <tbody>

                            <?php
                            $param = intval($param);

                            ?>
                            <?php foreach ($reportes as $r) : ?>
                                <?php
                                $sw = "black";
                                $fin =  date('Y-m-d', strtotime($r->dInsFechaVencimiento));
                                $inicio =  date('Y-m-d', strtotime($fin . "- $param days"));
                                $vencimiento = date('Y-m-d', strtotime($hoy . "+ $param days"));
                                // var_dump($fin);
                                // var_dump($inicio); // muestra las fechas restándole el parámetro
                                if ( $fin<=$inicio ){
                                    $sw = "red";
                                }	


                                ?>
                                <tr>
                                    <td>
                                        <font color=<?php echo  $sw; ?>><?php echo $r->sInsCliente; ?></font>
                                    </td>
                                    <td>
                                        <font color=<?php echo  $sw; ?>><?php echo $r->sInsCodCliente; ?></font>
                                    </td>
                                    <td>
                                        <font color=<?php echo  $sw; ?>><?php echo $r->dInsFecha; ?></font>
                                    </td>
                                    <td>
                                        <font color=<?php echo  $sw; ?>><?php echo $r->sInsProducto; ?></font>
                                    </td>
                                    <td>
                                        <font color=<?php echo  $sw; ?>><?php echo $r->sInsServicio; ?></font>
                                    </td>
                                    <td>
                                        <font color=<?php echo  $sw; ?>><?php echo $r->sSedeProyecto; ?></font>
                                    </td>
                                    <td>
                                        <font color=<?php echo  $sw; ?>><?php echo date('d-m-Y', strtotime($r->dInsFechaVencimiento)); ?></font>
                                    </td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>Cliente</th>
                                <th>Cod Cliente</th>
                                <th>Fecha certificado</th>
                                <th>Producto</th>
                                <th>Servicio</th>
                                <th>Sede/Proyecto</th>
                                <th>Fecha vencimiento</th>
                            </tr>
                        </tfoot>
                    </table>

                </div>

            </div><!-- /.box-body -->
        </div><!-- /.box -->
    </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<!-- /Modal modal-informacion -->
<div class="modal fade" id="modal-info" data-backdrop="static" data-keyboard="false" tabindex="-1" role="dialog" aria-labelledby="modal-operaciones-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="#" method="POST" id="" enctype="multipart/form-data">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-operaciones-label">Información</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="Reclamos_Gast_Id" id="Reclamos_Gast_Id" value="0">

                    <div class="col-sm-6 form-group">
                        <h3>Enviando Correos.. </h3>
                        Por favor Espere un momento...!&nbsp;&nbsp;
                        <i class="fa fa-refresh fa-spin"></i>
                    </div>
                    <div class="col-sm-12">


                    </div>

                </div>
                <div class="modal-footer">
                    <div class="col-sm-12">

                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- /Modal modal-informacion -->
<div class="modal fade" id="modal-excel" data-backdrop="static" data-keyboard="false" tabindex="-1" role="dialog" aria-labelledby="modal-operaciones-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="#" method="POST" id="" enctype="multipart/form-data">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-operaciones-label">Información</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="Reclamos_Gast_Id" id="Reclamos_Gast_Id" value="0">

                    <div class="col-sm-6 form-group">
                        <h3>Descargando Archivo Excel.. </h3>
                        Por favor Espere un momento...!&nbsp;&nbsp;
                        <i class="fa fa-refresh fa-spin"></i>
                    </div>
                    <div class="col-sm-12">


                    </div>

                </div>
                <div class="modal-footer">
                    <div class="col-sm-12">

                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- <script type="text/javascript" src="view/librerias/dist/js/funcionesCertificadosxvencer.js"></script>
-->
<script type="text/javascript">
    $(document).ready(function() {

        $("#example1").dataTable({
            "aaSorting": []
        });
        var max_chars = 500;
        $('.datepicker').datetimepicker({
            viewMode: 'days',
            format: 'DD-MM-YYYY'
        });
    });
    //$(document).ready(function() {
    //    reportes_excel.Nombre('Certificadosxvencer');
    //    reportes_excel.TableData("example1");
    //    reportes_excel.Excel();
    //});


    function excel() {
        $("#modal-excel").modal("show");
        /*em 14-01-2021*/
        fetch('?c=Reportes&a=excel')
            .then(resp => resp.blob())
            .then(blob => {
                const url = window.URL.createObjectURL(blob);
                const a = document.createElement('a');
                a.style.display = 'none';
                a.href = url;
                // 
                a.download = 'certificadoxvencer.xls';
                document.body.appendChild(a);
                a.click();
                window.URL.revokeObjectURL(url);
                setTimeout(function() {
                    $("#modal-excel").modal("hide");
                }, 1000);
            })
            .catch(() => {
                $("#modal-excel").modal("hide");
                alert('Error al descargar excel!');
            }); //

    }

    function enviarCorreo(sInsCodCliente, dInsFechaVencimiento, sCliCorreo, sInsCliente, sInsProducto, sInsServicio, dInsFecha) {
        if (sCliCorreo != '' && sInsCodCliente != '') {
            $("#modal-info").modal("show");

            $.ajax({
                url: '?c=Reportes&a=enviarCorreo',
                data: {
                    sInsCodCliente: sInsCodCliente,
                    dInsFechaVencimiento: dInsFechaVencimiento,
                    sCliCorreo: sCliCorreo,
                    sInsCliente: sInsCliente,
                    sInsProducto: sInsProducto,
                    sInsServicio: sInsServicio,
                    dInsFecha: dInsFecha
                },
                type: "post",

                success: function(data) {
                    console.log(data);
                },
                complete: function(xhr, status) {

                    $("#modal-info").modal("hide");
                },
                error: function(error) {
                    $("#modal-info").modal("hide");
                    alert("Error al enviar correos...");
                }
            });

            //$("#GuardarReclamos").attr('disabled', false);
        }
    }

    function enviarCorreoMasivo() {
        $("#modal-info").modal("show");
        $.ajax({
            //url: '?c=Reportes&a=enviarCorreoMasivo',
            url: '?c=Reportes&a=enviarCorreoMasivoModasa',
            type: "post",

            success: function(data) {
                console.log(data);
            },
            complete: function(xhr, status) {

                $("#modal-info").modal("hide");
            },
            error: function(error) {
                $("#modal-info").modal("hide");
                alert("Error al enviar correos...");
            }
        });
    }
	
	function exportarexcel() {
        const fecha = [];
        const codcliente = [];

        var info = <?php echo $certificadosxvencer; ?>;
        console.log(info);



        const data = [
            ["CLIENTE", 'COD.CLIENTE', 'FECHA CERTIFICADO', 'PRODUCTO','SERVICIO', 'SEDE/PROYECTO', 'FECHA VENCIMIENTO'],
        ];

        for (var item of info) {
            data.push([item.sInsCliente, item.sInsCodCliente, item.dInsFecha , item.sInsProducto,
                item.sInsServicio, item.sSedeProyecto, item.dInsFechaVencimiento]);
        }


        console.warn('example', data);

        // Creates the sheet data
        const ws = XLSX.utils.aoa_to_sheet(data);
        // Create a new book where to append the data.
        const wb = XLSX.utils.book_new();

        // Append the sheet (second param) to the book (first param)
        // with the specified name (third param)
        XLSX.utils.book_append_sheet(wb, ws, "Hoja1");

        // This is the instruction that tells the browser to
        // "download" the file
        XLSX.writeFile(wb, 'Certificadosxvencer.xlsx');

        return info;
    }

    document.querySelector('#saveBook').onclick = saveBook;
</script>