<!-- Content Header (Page header) -->
<style type="text/css">
    #preloader {
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        /*background: #000;*/
        background: black;
        opacity: 0.7;
        z-index: 100000;
    }

    #loader {
        width: 100px;
        height: 100px;
        position: absolute;
        left: 50%;
        top: 50%;
        background: url(view/librerias/dist/img/loader.gif) no-repeat center 0;
        animation: loader 1.2s infinite;
        margin: -50px 0 0 -50px;
    }
</style>
<section class="content-header">
    <h1>
        Inspecciones
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Inspecciones</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Relación completa de Inspecciones</h3>

                </div> <!-- /.box-header -->
                <div class="row">
                    <div class="col-md-8" style="margin-top: 15px;">
                        <form action="?c=Inspecciones&a=Index" method="POST">
                            <div class="row">
                                <div class="col-md-3">
                                    Fecha Inicio <br />
                                    <input type="text" class="form-control col-md-4" name="fechaInicio" id="fechaInicio" value="<?php echo isset($_POST['fechaInicio']) ? $_POST['fechaInicio'] : date('d-m-Y', strtotime('-30 day', strtotime(date('d-m-Y')))) ?>">
                                </div>
                                <div class="col-md-3">
                                    Fecha Fin <br />
                                    <input type="text" class="form-control col-md-4" name="fechaFin" id="fechaFin" value="<?php echo isset($_POST['fechaFin']) ? $_POST['fechaFin'] : date('d-m-Y', strtotime(date('d-m-Y'))) ?>">
                                </div>

                                <div class="col-md-3"><br><button type="submit" class="btn btn-danger btn-flat">Filtrar</button></div>

                            </div>
                        </form>
                    </div>

                </div>
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped text-center">
                        <thead>
                            <tr>
                                <th>Fecha</th>
                                <th>Cliente</th>
                                <th>Equipo</th>
                                <th>Distrito</th>
                                <th>Sede/Proyecto</th>
                                <th>Inspector</th>
                                <th>Tipo Servicio</th>
                                <?php if ($_SESSION['usu_tipo'] == 1 || $_SESSION['usu_tipo'] == 3 || $_SESSION['usu_tipo'] == 4) { ?>
                                    <th>Estado Certificado</th>
                                <?php } ?>
                                <?php if ($_SESSION['usu_tipo'] == 1 || $_SESSION['usu_tipo'] == 3 || $_SESSION['usu_tipo'] == 4) { ?>
                                    <th>Estado Cliente</th>
                                <?php } ?>
                                <th width="15%">Operaciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($inspecciones as $r) : ?>
                                <?php
                                $sw = 0;
                                if ($_SESSION['usu_tipo'] == 4 && $r->__GET('nInsCerEstadoAprob') >= 1) {
                                    $sw = 1;
                                }
                                if ($_SESSION['usu_tipo'] < 6) {
                                    $sw = 1;
                                }
                                if ($sw == 1) {
                                ?>
                                    <tr>
                                        <td><?php echo $r->__GET('dInsFecha'); ?></td>
                                        <td><?php echo $r->__GET('sInsCodCliente') . " - " . $r->__GET('sInsCliente'); ?></td>
                                        <td><?php echo $r->__GET('sInsCodEquipo') . " - " . $r->__GET('sInsSerie'); ?></td>
                                        <td><?php echo $r->__GET('sDistrito'); ?></td>
                                        <td><?php echo $r->__GET('sSedeProyecto'); ?></td>
                                        <td><?php echo $r->__GET('sInsTecnicoResponsable'); ?></td>
                                        <td><?php echo $r->__GET('sInsServicio'); ?></td>
                                        <?php if ($_SESSION['usu_tipo'] == 1 || $_SESSION['usu_tipo'] == 3 || $_SESSION['usu_tipo'] == 4) {  ?>
                                            <td>
                                                <?php
                                                if (!empty($r->__GET('nInsCerEstadoAprob'))) { ?>
                                                    <?php
                                                    if ($r->__GET('nInsCerEstadoAprob') < 2) { ?>
                                                        <span class="label label-info" style="background:  #d89415 !important;">Generado</span>
                                                    <?php } else { ?>
                                                        <span class="label label-success" style="background:  #49b628 !important;">Aprobado</span>
                                                    <?php } ?>
                                                <?php } else { ?>
                                                    <span class="label label-warning">Sin Generar</span>
                                                <?php } ?>
                                            </td>
                                        <?php } ?>
                                        <?php if ($_SESSION['usu_tipo'] == 1 || $_SESSION['usu_tipo'] == 3 || $_SESSION['usu_tipo'] == 4) { ?>


                                            <td>

                                                <?php
                                                if ($r->__GET('nInsEstadoCli') == 0) { ?>
                                                    <span class="label label-info" style="background:  #d89415 !important;">Pendiente</span>
                                                <?php } elseif ($r->__GET('nInsEstadoCli') == 1) {  ?>
                                                    <span class="label label-success" style="background:  #49b628  !important;">Aprobado</span>
                                                <?php } else { ?>
                                                    <span class="label label-success" style="background:  #d73925 !important;">Rechazado</span>
                                                <?php } ?>
                                            </td>

                                        <?php } ?>
                                        <td>
                                            <!--<a class="btn btn-danger btn-xs view" title="Ver detalles" href="?c=inspecciones&a=PDF&Inspeccion_Id=<?php echo $r->__GET("Inspeccion_Id"); ?>" target="_blank" ><i class="fa fa-file-text" aria-hidden="true"></i></a>-->

                                            <!--para ver todos -->
                                            <a class="btn btn-danger btn-xs view" title="Ver detalles" href="javascript:InspeccionPDF('<?php echo $r->__GET("Inspeccion_Id"); ?>')"><i class="fa fa-file-text" aria-hidden="true"></i></a>

                                            <!--  normal  para solo ver certificado -->
                                            <?php
                                            switch ($_SESSION['usu_tipo']) {
                                                case 1:
                                            ?>
                                                    <button class="btn btn-warning btn-xs view" onclick="editarDetalle('<?= $r->__GET("Inspeccion_Id") ?>')"><i class="fa fa-edit"></i></button>
                                                    <a class="btn btn-success btn-xs view" title="Ver Certificado" href="javascript:buscarCertificado('<?php echo $r->__GET("Inspeccion_Id"); ?>', '<?php echo $r->__GET('dInsFecha'); ?>' )"><i class="fa fa-file-text" aria-hidden="true"></i></a>
                                                    <button type="button" class="btn btn-danger btn-xs" title="Eliminar" data-toggle="modal" data-target="#modal-eliminar" data-codigo="<?php echo $r->__GET('Inspeccion_Id'); ?>"><i class="fa fa-trash-o"></i></button>

                                            <?php
                                                    break;
                                            }
                                            ?>
                                            <?php
                                            switch ($_SESSION['usu_tipo']) {
                                                case 2:
                                                case 5:
                                            ?>
                                                    <!-- <button class="btn btn-warning btn-xs view" onclick="editarDetalle('<?= $r->__GET("Inspeccion_Id") ?>')"><i class="fa fa-edit"></i></button> -->
                                                    <a class="btn btn-success btn-xs view" title="Ver Certificado" href="javascript:buscarCertificado('<?php echo $r->__GET("Inspeccion_Id"); ?>', '<?php echo $r->__GET('dInsFecha'); ?>' )"><i class="fa fa-file-text" aria-hidden="true"></i></a>
                                            <?php
                                                    break;
                                            }
                                            ?>
                                            <!--  administrador certificado crear certificado -->
                                            <?php
                                            switch ($_SESSION['usu_tipo']) {
                                                case 3:
                                            ?>
                                                    <button class="btn btn-warning btn-xs view" onclick="editarDetalle('<?= $r->__GET("Inspeccion_Id") ?>')"><i class="fa fa-edit"></i></button>
                                                    <a class="btn btn-success btn-xs view" title="Crear Certificado" href="javascript:CertificadoPDF('<?php echo $r->__GET("Inspeccion_Id"); ?>', '<?php echo $r->__GET('dInsFecha'); ?>' )"><i class="fa fa-file-text" aria-hidden="true"></i></a>
                                                    <button type="button" class="btn btn-danger btn-xs" title="Eliminar" data-toggle="modal" data-target="#modal-eliminar" data-codigo="<?php echo $r->__GET('Inspeccion_Id'); ?>"><i class="fa fa-trash-o"></i></button>
                                            <?php
                                                    break;
                                            }
                                            ?>
                                            <!--  administrador certificado crear certificado -->
                                            <?php
                                            switch ($_SESSION['usu_tipo']) {
                                                case 4:
                                            ?>
                                                    <?php
                                                    if ($r->__GET('nInsCerEstadoAprob') == 1) { ?>
                                                        <button type="button" class="btn btn-info btn-xs" title="Aprobar Certificado" data-toggle="modal" data-target="#modal-aprobar" data-codigo="<?php echo $r->__GET('Inspeccion_Id'); ?>"><i class="glyphicon glyphicon-ok-circle"></i></button>
                                                    <?php   }  ?>
                                                    <?php
                                                    if ($r->__GET('nInsCerEstadoAprob') >= 2) { ?>
                                                        <a class="btn btn-success btn-xs view" title="Ver Certificado" href="javascript:buscarCertificado('<?php echo $r->__GET("Inspeccion_Id"); ?>', '<?php echo $r->__GET('dInsFecha'); ?>' )"><i class="fa fa-file-text" aria-hidden="true"></i></a>
                                                    <?php   }  ?>
                                            <?php
                                                    break;
                                            }
                                            ?>
                                        </td>

                                    </tr>
                                <?php }  ?>
                            <?php endforeach; ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>Fecha</th>
                                <th>Cliente</th>
                                <th>Equipo</th>
                                <th>Distrito</th>
                                <th>Sede/Proyecto</th>
                                <th>Inspector</th>
                                <th>Tipo Servicio</th>
                                <?php if ($_SESSION['usu_tipo'] == 4 || $_SESSION['usu_tipo'] == 1) {  ?>
                                    <th>Estado Certificado</th>
                                <?php } ?>
                                <?php if ($_SESSION['usu_tipo'] == 1) { ?>
                                    <th>Estado Cliente</th>
                                <?php } ?>
                                <th>Operaciones</th>
                            </tr>
                        </tfoot>
                    </table>

                    <!-- Modal modeal-ver -->
                    <div class="modal fade" id="modal-ver" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=Usuario&a=PDFUsuario" method="POST" target="_blank">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-ver-label">Registro de Inspecciones</h4>
                                    </div>
                                    <div class="modal-body">
                                        <table class="table table-striped" id="ver_datos">
                                            <tr>
                                                <td>Cargando datos</td>
                                            </tr>
                                        </table>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="submit" class="btn btn-danger"><i class="fa fa-print"></i>&nbsp;Imprimir</button>
                                        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-ver -->

                    <!-- Modal modal-eliminar -->
                    <div class="modal fade" id="modal-eliminar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=Inspecciones&a=EliminarInspeccion" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-eliminar-label">Eliminar Inspección</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" name="Inspeccion_Id" id="Inspeccion_Id" value="">
                                        ¿Estás seguro que desea eliminar Inspección?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="submit" class="btn btn-primary">Si, eliminar</button>
                                        <button type="button" class="btn btn-default" data-dismiss="modal">No, cancelar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-eliminar -->
                    <!-- /Modal modal-informacion -->
                    <div class="modal fade" id="modal-info" data-backdrop="static" data-keyboard="false" tabindex="-1" role="dialog" aria-labelledby="modal-operaciones-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="#" method="POST" id="" enctype="multipart/form-data">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-operaciones-label">Información</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" name="Reclamos_Gast_Id" id="Reclamos_Gast_Id" value="0">

                                        <div class="col-sm-6 form-group">
                                            <h3>Buscando Información.. </h3>
                                            Por favor Espere un momento...!&nbsp;&nbsp;
                                            <i class="fa fa-refresh fa-spin"></i>
                                        </div>
                                        <div class="col-sm-12">
                                        </div>

                                    </div>
                                    <div class="modal-footer">
                                        <div class="col-sm-12">

                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <div class="modal fade" id="modal-genera" data-backdrop="static" data-keyboard="false" tabindex="-1" role="dialog" aria-labelledby="modal-operaciones-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="#" method="POST" id="" enctype="multipart/form-data">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-operaciones-label">Información</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" name="Reclamos_Gast_Id" id="Reclamos_Gast_Id" value="0">

                                        <div class="col-sm-6 form-group">
                                            <h4>Certificado Generándose.. </h4>
                                            Por favor Espere un momento...!&nbsp;&nbsp;
                                            <i class="fa fa-refresh fa-spin"></i>
                                        </div>
                                        <div class="col-sm-12">
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <div class="col-sm-12">
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- Modal modal-eliminar -->
                    <!-- Modal modal-eliminar -->
                    <div class="modal fade" id="modal-nocertificado" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="#" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-eliminar-label">Información</h4>
                                    </div>
                                    <div class="modal-body">
                                        El Certificado aún no ha sido generado...
                                        <H3>
                                            Usted No está autorizado para Crear o Aprobrar certificado...!
                                        </H3>
                                    </div>
                                    <div class="modal-footer">

                                        <button type="button" class="btn btn-default" data-dismiss="modal">cancelar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-eliminar -->
                    <!-- Modal modal-no ver -->
                    <div class="modal fade" id="modal-novercertificado" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="#" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-eliminar-label">Información</h4>
                                    </div>
                                    <div class="modal-body">
                                        El Certificado aún no ha sido aprobado...
                                        <H3>
                                            Certificado en proceso de Aprobación...!
                                        </H3>
                                    </div>
                                    <div class="modal-footer">

                                        <button type="button" class="btn btn-default" data-dismiss="modal">cancelar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-eliminar -->
                    <!-- Modal modal-no ver -->
                    <div class="modal fade" id="modal-novercertificadoprobe" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="#" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-eliminar-label">Información</h4>
                                    </div>
                                    <div class="modal-body">
                                        El Certificado ha sido aprobado...
                                        <H3>
                                            Usted No está autorizado para ver certificado...!
                                        </H3>
                                    </div>
                                    <div class="modal-footer">

                                        <button type="button" class="btn btn-default" data-dismiss="modal">cancelar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<!--   modal para cerrar el reclamo    este si es   -->

<div class="modal fade" id="modal-nuevo" tabindex="-1" role="dialog" aria-labelledby="modal-nuevo-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="#" method="POST" id="FrmGuardarReclamos" name="FrmGuardarReclamos">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-eliminar-label">Crear Certificado</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-sm-12" id="resultado"></div>
                        <div class="col-sm-12 form-group">
                            <label>Fecha de Inspeccion</label>
                            <!--<input type="text" class="form-control datepicker" name="dGarFechaActivacion" id="dGarFechaActivacion" placeholder="DD/MM/YYYY">-->
                            <div class="input-group dRecFecha">
                                <input type='text' class="form-control dRecFecha" id="xRecFecha" name="xRecFecha" placeholder="DD/MM/YYYY" readonly />
                            </div>

                        </div>
                        <div class="col-sm-12 form-group">
                            <label>Vecimiento</label>
                            <input type="hidden" name="vInspeccion_Id" id="vInspeccion_Id">
                            <select class="form-control selectPicker" id="sAteTipo" name="sAteTipo" onchange="recalculo_total()">
                                <option value="6">6 Meses</option>
                                <option value="12">12 Meses</option>
                            </select>
                        </div>

                        <div class="col-sm-12 form-group">
                            <label>Fecha de Vencimiento</label>
                            <!--<input type="text" class="form-control datepicker" name="dGarFechaActivacion" id="dGarFechaActivacion" placeholder="DD/MM/YYYY">-->
                            <div class="input-group dRecFecha">
                                <input type="text" class="form-control datepicker" id="dRecFecha" name="dRecFecha" placeholder="DD/MM/YYYY" />
                                <span class="input-group-addon">
                                    <span class="fa fa-calendar"></span>
                                </span>
                            </div>
                            <label for="dRecFecha" class="error" id="dRecFecha-error" style="display: none;"></label>

                        </div>

                        <div class="col-sm-12">
                            <div class="row">

                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" id="GuardarCertificado">Si, Guardar</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">No, cancelar</button>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- Modal modal-eliminar -->

<div class="modal fade" id="modal-aprobar" tabindex="-1" role="dialog" aria-labelledby="modal-aprobar-label" aria-hidden="true">
    <div id="preloader">
        <div id="loader">&nbsp;</div>
    </div>
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="" method="POST" id="FrmGuardarReclamos" name="FrmGuardarReclamos">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-aprobar-label">Aprobar Certificado</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="Inspeccion_Id" id="Inspeccion_Id">
                    ¿Estás seguro que desea Aprobar Certificado?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" onclick="aprobarCertificadoPDF();">Si, aprobar</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">No, cancelar</button>
                </div>
            </form>
        </div>
    </div>
</div>

<script type="text/javascript" src="view/librerias/dist/js/funcionesUsuario.js"></script>
<script type="text/javascript" src="view/librerias/dist/js/funcionesInspeccion.js"></script>

<script type="text/javascript">
    $('#fechaInicio').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });

    $('#fechaFin').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });
    $(document).ready(function() {

        $("#example1").dataTable({
            "aaSorting": []
        });
        var max_chars = 500;
        $('.datepicker').datetimepicker({
            viewMode: 'days',
            format: 'DD-MM-YYYY'
        });
    });

    function buscarCertificado(Inspeccion_Id, dInsfecha) {
        $.post('?c=inspecciones&a=buscarCertificado', {
                Inspeccion_Id: Inspeccion_Id,
                dInsfecha: dInsfecha
            },
            function(data) {
                if (JSON.parse(data.length) >= 40) {
                    var IN = JSON.parse(data);
                    console.log(IN[0].nInsCerEstadoAprob);
                    if (IN[0].nInsCerEstadoAprob == 2 || IN[0].nInsCerEstadoAprob == 1) {
                        CertificadoPDFCrear(Inspeccion_Id, dInsfecha, 0);
                    } else {
                        $("#modal-novercertificado").modal("show");
                    }
                } else {
                    $("#modal-nocertificado").modal("show");
                }
            });
    }

    /* crear certificado em 05-01-2021  */
    function CertificadoPDF(Inspeccion_Id, dInsfecha) {
        $.post('?c=inspecciones&a=buscarCertificado', {
                Inspeccion_Id: Inspeccion_Id,
                dInsfecha: dInsfecha
            },
            function(data) {

                if (JSON.parse(data.length) >= 40) {
                    var IN = JSON.parse(data);
                    if (IN[0].nInsCerEstadoAprob == 2 || IN[0].nInsCerEstadoAprob == 1) {
                        CertificadoPDFCrear(Inspeccion_Id, dInsfecha, 0);
                    } else {
                        $("#modal-novercertificado").modal("show");
                    }
                } else {
                    $("#vInspeccion_Id").val(Inspeccion_Id);
                    $("#dRecFecha").val(dInsfecha);
                    $("#xRecFecha").val(dInsfecha);
                    $("#dRecFecha").val(sumarMeses('6'));
                    $("#modal-nuevo").modal("show");
                }
            });

    }

    /* guarda certificado  */
    $("#GuardarCertificado").click(function(e) {

        $("#modal-nuevo").modal("hide");
        $("#modal-genera").modal("show");
        CertificadoPDFCrear($("#vInspeccion_Id").val(), $("#dRecFecha").val(), $("#sAteTipo").val());

        // envío correo
        $('#preloader').fadeIn('slow');
        $.ajax({
            url: '?c=Reportes&a=enviarCorreoAprobador',
            data: {
                Inspeccion_Id: $("#vInspeccion_Id").val()
            },
            type: "post",

            success: function(data) {
                $('#preloader').fadeOut('slow');
                window.location.reload();
                /*Forzamos la recarga*/
                location.reload(true);
                console.log(data);
            },
            error: function(error) {
                alert("Error al enviar correos...");
            }
        });
        // fin envio correo

        /*Recargamos desde caché*/
        location.reload();
        /*Forzamos la recarga*/
        location.reload(true);
    });

    function recalculo_total() {
        $("#dRecFecha").val(sumarMeses($("#sAteTipo").val()));
    }

    function sumarMeses(meses) {
        var fekha = $("#xRecFecha").val();
        var dia = fekha.substr(0, 2);
        var mes = fekha.substr(3, 2);
        var ano = fekha.substr(6, 4);

        fecha_texto = ano + "-" + mes + "-" + dia;
        ms = Date.parse(fecha_texto);
        fecha = new Date(ms);

        fecha.setMonth(fecha.getMonth() + parseInt(meses));

        fekha = fecha.toISOString();
        var dia = fekha.substr(8, 2);
        var mes = fekha.substr(5, 2);
        var ano = fekha.substr(0, 4);
        fecha_texto = dia + "-" + mes + "-" + ano;

        ms = Date.parse(fecha_texto);
        fecha = new Date(ms);
        return fecha_texto;

    }


    function aprobarCertificadoPDF() {
        let Inspeccion_Id = $("#Inspeccion_Id").val();
        // $("#modal-info").modal("show");
        $.post('?c=inspecciones&a=buscarCertificado', {
                Inspeccion_Id: Inspeccion_Id
            },
            function(data) {

                if (JSON.parse(data.length) >= 40) {
                    var IN = JSON.parse(data);
                    if (IN[0].nInsCerEstadoAprob <= 1) {
                        // $("#modal-info").modal("show");
                        $.ajax({
                            url: '?c=inspecciones&a=aprobarCertificado',
                            data: {
                                Inspeccion_Id: Inspeccion_Id
                            },
                            type: "post",
                            success: function(data) {},
                            complete: function(xhr, status) {
                                
                            },
                            error: function(error) {
                                // $("#modal-info").modal("hide");
                                alert("Error al actualizar estado...");
                            }
                        });
                        // envío correo
                        $('#preloader').fadeIn('slow');
                        $.ajax({
                            url: '?c=Reportes&a=enviarCorreoAprobacionCertificado',
                            data: {
                                Inspeccion_Id: Inspeccion_Id
                            },
                            type: "post",

                            success: function(data) {
                                $('#preloader').fadeOut('slow');
                                console.log(data);
                            },
                            error: function(error) {
                                alert("Error al enviar correos...");
                            }
                        });
                        // fin envio correo

                    } else {
                        $("#modal-novercertificadoprobe").modal("show");
                    }
                } else {

                    $("#modal-nocertificado").modal("show");
                }
            });

    }

    $('#modal-aprobar').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var recipient = button.data('codigo'); // Extract info from data-* attributes

        // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
        var modal = $(this);
        modal.find('.modal-body input').val(recipient);
        $("#Inspeccion_Id").val(recipient);
    });
</script>