            <style>
                label.error {
                    color: red;
                }
            </style>
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    Matriz
                    <small></small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>
                    <li class="active">Registrar Matriz</li>
                </ol>
            </section>
            <!-- Main content -->
            <section class="content">
                <form role="form" method="POST" id="FrmMatriz">
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-6">
                            <div class="box box-primary">
                                <div class="box-header">
                                    <h3 class="box-title">Datos básicos</h3>
                                </div><!-- /.box-header -->
                                <!-- form start -->
                                <div class="box-body row">
                                    <div id="resultado" class="col-sm-12"></div>
                                    <!-- Date range -->
                                    <div class="form-group col-sm-12">
                                        <label>Plantilla *</label>
                                        <input type="hidden" id="IdMatriz" name="IdMatriz" value="<?php echo isset($r) ? $r->__get('matriz_id') : '0' ?>" />
                                        <select name="Plantilla_Id" id="Plantilla_Id" class="form-control" data-live-search="true">
                                            <option value="0" disabled selected>Selecciona</option>
                                            <?php foreach ($plantillas as $p) { ?>
                                                <option <?php echo isset($r) && $r->__get('Plantilla_Id') == $p->__get('Plantilla_Id') ? 'selected' : '' ?> value="<?php echo $p->__get('Plantilla_Id') ?>"><?php echo $p->__get('sPlaNombre') ?> - <?php echo $p->__get('Tipo') ?> </option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-sm-12">
                                        <label>Horas *</label>
                                        <input type="text" maxlength="45" oninput="onlyNumbers(event)" class="form-control" id="nMatHoras" name="nMatHoras" value="<?php echo  isset($r) ? $r->__GET('nMatHoras') : ''; ?>">

                                    </div>
                                </div><!-- /.box-body -->
                                <div class="box-footer">
                                    <button type="button" id="btn-guardar-matriz" class="btn btn-primary btn-flat">
                                        Guardar informacion
                                    </button>
                                    <a class="btn btn-danger btn-flat" href="?c=Matriz&a=Index">Cancelar</a>
                                </div>
                                <!-- Modal modeal-1 -->
                            </div><!-- /.box -->
                        </div><!--/.col (left) -->
                    </div> <!-- /.row -->
                </form>
            </section><!-- /.content -->
            <script type="text/javascript" src="view/librerias/dist/js/jquery.tabletojson.js"></script>
            <script type="text/javascript" src="view/librerias/dist/js/funcionesGenerales.js"></script>
            <script type="text/javascript" src="view/librerias/dist/js/funcionesMatriz.js"></script>
            <script type="text/javascript">
                $('#Plantilla_Id').selectpicker('refresh')

                function onlyNumbers(e) {
                    const input = e.target.value
                    const numbers = input.replace(/[^0-9]/g, '')
                    e.target.value = numbers
                }
            </script>