<?php

class DetalleContratoModel {
    private $pdo;

    public function __construct()
    {
        try {
            require_once 'model/database.php';
            $this->pdo = DataBase::ObtenerConexion();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function Buscar($Contrato_Id) {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL con_det_buscar($Contrato_Id)");
            $stm->execute();
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r):
                $detalle_contrato = new DetalleContrato();
                $detalle_contrato->__SET('DetalleContrato_Id', $r->DetalleContrato_Id);
                $detalle_contrato->__SET('nContrato_Id', $r->nContrato_Id);
                $detalle_contrato->__SET('sDetConCodigo', $r->sDetConCodigo);
                $detalle_contrato->__SET('sDetConSerie', $r->sDetConSerie);
                $detalle_contrato->__SET('sDetConTipo', $r->sDetConTipo);
                $detalle_contrato->__SET('sDetConUbicacion', $r->sDetConUbicacion);
                $detalle_contrato->__SET('sDetConHorasOperacion', $r->sDetConHorasOperacion);
                $result[] = $detalle_contrato;
            endforeach;
            return $result;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function EliminarByContrato($Contrato_Id) {
        try {
            $stm = $this->pdo->prepare("CALL con_det_eliminar($Contrato_Id)");
            $stm->execute();
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }
}