<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Inspecciones
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Inspecciones</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Relación completa de Inspecciones</h3>

                </div> <!-- /.box-header -->
				<div class="row">
                    <div class="col-md-8" style="margin-top: 15px;">
                        <form action="?c=Inspecciones&a=IndexCli" method="POST">
                            <div class="row">
                                <div class="col-md-3">
                                    Fecha Inicio <br />
                                    <input type="text" class="form-control col-md-4" name="fechaInicio" id="fechaInicio" value="<?php echo isset($_POST['fechaInicio']) ? $_POST['fechaInicio'] : date('d-m-Y', strtotime('-1 day', strtotime(date('d-m-Y')))) ?>">
                                </div>
                                <div class="col-md-3">
                                    Fecha Fin <br />
                                    <input type="text" class="form-control col-md-4" name="fechaFin" id="fechaFin" value="<?php echo isset($_POST['fechaFin']) ? $_POST['fechaFin'] : date('d-m-Y', strtotime(date('d-m-Y'))) ?>">
                                </div>

                                <div class="col-md-3"><br><button type="submit" class="btn btn-danger btn-flat">Filtrar</button></div>

                            </div>
                        </form>
                    </div>

                </div>
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped text-center">
                        <thead>
                            <tr>
                                <th>Fecha</th>
                                <th>Sede/Proyecto</th>
                                <th>Equipo</th>
                                <th>Tipo de servicio</th>
                                <th>Estado</th>
                                <th width="15%">Operaciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($inspecciones as $r) : ?>
                                <tr>
                                    <!--
                                            <td><?php echo $r->__GET('dInsFecha'); ?></td>
                                            <td><?php echo utf8_decode($r->__GET('sInsCodEquipo') . " - " . $r->__GET('sInsSerie')); ?></td>
                                            <td><?php echo utf8_decode($r->__GET('sDistrito')); ?></td>
                                            <td><?php echo utf8_decode($r->__GET('sSedeProyecto')); ?></td>
                                            <td><?php echo utf8_decode($r->__GET('sInsTecnicoResponsable')); ?></td>
											-->
                                    <td><?php echo $r->__GET('dInsFecha'); ?></td>
                                    <td><?php echo ($r->__GET('sSedeProyecto')); ?></td>
                                    <td><?php echo ($r->__GET('sInsCodEquipo') . " - " . $r->__GET('sInsSerie')); ?></td>
                                    <td><?php echo ($r->__GET('sInsServicio')); ?></td>

                                    <td>
                                        <?php if ($r->__GET('nInsEstadoCli') == 0) : ?>
                                            <span class="label label-warning" style="background:  #d89415 !important;">Pendiente</span>
                                        <?php endif ?>
                                        <?php if ($r->__GET('nInsEstadoCli') == 1) : ?>
                                            <span class="label label-warning" style="background:  #3e6304 !important;">Aceptado</span>
                                        <?php endif ?>
                                        <?php if ($r->__GET('nInsEstadoCli') == 2) : ?>
                                            <span class="label label-warning" style="background: #cc2525 !important;">Rechazado</span>
                                        <?php endif ?>
                                    </td>

                                    <td>
                                        <!--<a class="btn btn-danger btn-xs view" title="Ver detalles" href="?c=inspecciones&a=PDF&Inspeccion_Id=<?php echo $r->__GET("Inspeccion_Id"); ?>" target="_blank" ><i class="fa fa-file-text" aria-hidden="true"></i></a>-->
                                        <a class="btn btn-danger btn-xs view" title="Ver detalles" href="javascript:InspeccionPDF('<?php echo $r->__GET("Inspeccion_Id"); ?>')"><i class="fa fa-file-text" aria-hidden="true"></i></a>
                                        <?php
                                        $cert  = $this->inspecciones_model->validaCert($r->__GET("Inspeccion_Id"));
                                        if (count($cert) != 0) {
                                        ?>
                                            <a class="btn btn-primary btn-xs view" title="Ver Certificado" href="javascript:buscarCertificado('<?php echo $r->__GET("Inspeccion_Id"); ?>', '<?php echo $r->__GET('dInsFecha'); ?>' )"><i class="fa fa-file-text" aria-hidden="true"></i></a>
                                        <?php
                                        }
                                        ?>

                                        <?php
                                        if ($r->__GET('nInsEstadoCli') == 0) {
                                        ?>
                                            <button type="button" class="btn btn-success btn-xs" title="Aceptar" data-toggle="modal" data-target="#modal-aceptar"  data-codigo="<?php echo $r->__GET('Inspeccion_Id'); ?>"><i class="glyphicon glyphicon-ok-circle"></i></button>
                                            <button type="button" class="btn btn-danger btn-xs" title="Rechazar" data-toggle="modal" data-target="#modal-rechazar" data-codigo="<?php echo $r->__GET('Inspeccion_Id'); ?>"><i class="fa fa-ban"></i></button>

                                        <?php        }  ?>
                                        <?php
                                        if ($r->__GET('nInsEstadoCli') == 1) {
                                        ?>
                                            <button type="button" class="btn btn-danger btn-xs" title="Rechazar" data-toggle="modal" data-target="#modal-rechazar" data-codigo="<?php echo $r->__GET('Inspeccion_Id'); ?>"><i class="fa fa-ban"></i></button>
                                        <?php        }  ?>
                                        <?php
                                        if ($r->__GET('nInsEstadoCli') == 2) {
                                        ?>
                                            <button type="button" class="btn btn-success btn-xs" title="Aceptar" data-toggle="modal" data-target="#modal-aceptar" data-codigo="<?php echo $r->__GET('Inspeccion_Id'); ?>"><i class="glyphicon glyphicon-ok-circle"></i></button>
                                        <?php        }  ?>
                                        <?php
                                        $Inspeccion_Id = $r->__GET('Inspeccion_Id');
                                        //<button type="button" class="btn btn-danger btn-xs" title="Eliminar" data-toggle="modal" data-target="#modal-eliminar" data-codigo="$Inspeccion_Id"><i class="fa fa-trash-o"></i></button>

                                        ?>
                                    </td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>Fecha</th>
                                <th>Sede/Proyecto</th>
                                <th>Equipo</th>
                                <th>Tipo de servicio</th>
                                <th>Estado</th>
                            </tr>
                        </tfoot>
                    </table>

                    <!-- Modal modeal-ver -->
                    <div class="modal fade" id="modal-ver" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=Usuario&a=PDFUsuario" method="POST" target="_blank">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-ver-label">Registro de Inspecciones</h4>
                                    </div>
                                    <div class="modal-body">
                                        <table class="table table-striped" id="ver_datos">
                                            <tr>
                                                <td>Cargando datos</td>
                                            </tr>
                                        </table>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="submit" class="btn btn-danger"><i class="fa fa-print"></i>&nbsp;Imprimir</button>
                                        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-ver -->

                    <!-- Modal modal-eliminar -->
                    <div class="modal fade" id="modal-eliminar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=Inspecciones&a=EliminarInspeccion" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-eliminar-label">Eliminar Inspección</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" name="Inspeccion_Id" id="Inspeccion_Id" value="">
                                        ¿Estás seguro que desea eliminar Inspección?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="submit" class="btn btn-primary">Si, eliminar</button>
                                        <button type="button" class="btn btn-default" data-dismiss="modal">No, cancelar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-Aceptar -->
                    <div class="modal fade" id="modal-aceptar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-eliminar-label">Aceptar</h4>
                                    </div>
                                    <input type="hidden" name="valora" id="valora" value="1">
                                    <div class="modal-body">
                                        <input type="hidden" name="Inspeccion_Id" id="Inspeccion_Id" value="">

                                        <label>¿Está seguro que desea Aceptar Inspección?</label>

                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" onclick="AceptarRechazarInspeccion(1)" class="btn btn-danger">Si, Aceptar</button>
                                        <button type="button" class="btn btn-default" data-dismiss="modal">No, cancelar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-Aceptar -->
                    <div class="modal fade" id="modal-rechazar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-eliminar-label">Rechazar</h4>
                                    </div>
                                    <input type="hidden" name="valora" id="valora" value="2">
                                    <div class="modal-body">
                                        <input type="hidden" name="Inspeccion_Id" id="Inspeccion_Id" value="">
                                        <label>¿Estás seguro que desea Rechazar Inspección?</label>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" onclick="AceptarRechazarInspeccion(2)" class="btn btn-danger">Si, Aceptar</button>
                                        <button type="button" class="btn btn-default" data-dismiss="modal">No, cancelar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-eliminar -->
                    <!-- Modal modal-no ver -->
                    <div class="modal fade" id="modal-novercertificado" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="#" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-eliminar-label">Información</h4>
                                    </div>
                                    <div class="modal-body">
                                        El Certificado aún no ha sido aprobado...
                                        <H3>
                                            Usted No está autorizado para ver certificado...!
                                        </H3>
                                    </div>
                                    <div class="modal-footer">

                                        <button type="button" class="btn btn-default" data-dismiss="modal">cancelar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<script type="text/javascript" src="view/librerias/dist/js/funcionesUsuario.js"></script>
<script type="text/javascript" src="view/librerias/dist/js/funcionesInspeccion.js"></script>
<script type="text/javascript">

 $('#fechaInicio').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });

    $('#fechaFin').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });
    $(function() {
        $("#example1").dataTable({
            "aaSorting": []
        });

    });
    $('#modal-eliminar').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var recipient = button.data('codigo'); // Extract info from data-* attributes

        // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
        var modal = $(this);
        modal.find('.modal-body input').val(recipient);
    });

    $('#modal-aceptar').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var inspeccion_id = button.data('codigo'); // Extract info from data-* attributes
        var status = button.data('status'); // Extract info from data-* attributes

        $("#Inspeccion_Id").val(inspeccion_id);
        $("#valora").val(status);
    });
    $('#modal-rechazar').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var inspeccion_id = button.data('codigo'); // Extract info from data-* attributes
        var status = button.data('status'); // Extract info from data-* attributes

        $("#Inspeccion_Id").val(inspeccion_id);
        $("#valora").val(status);
    });

    function InspeccionPDF(Inspeccion_Id) {

        var url = window.self.location.pathname + '?c=inspecciones&a=PDF&Inspeccion_Id=' + Inspeccion_Id;

        var w = window.open('', '_blank');
        w.document.write('<html><head><title>Generando Documento...</title>');
        w.document.write("<style>body {background:#282828 !important;color:#FFF;} p {font-family: 'Arial', sans-serif;font-size:18px; font-weight:700;padding-bottom:20px;color:#FFF;} .loader4 { width:45px;height:45px;display:inline-block;padding:0px;border-radius:100%;border:5px solid;border-top-color:rgba(246, 36, 89, 1);border-bottom-color:rgba(255,255,255, 0.3);border-left-color:rgba(246, 36, 89, 1);border-right-color:rgba(255,255,255, 0.3);-webkit-animation: loader4 1s ease-in-out infinite;animation: loader4 1s ease-in-out infinite; } @keyframes loader4 { from {transform: rotate(0deg);} to {transform: rotate(360deg);}} @-webkit-keyframes loader4 { from {-webkit-transform: rotate(0deg);} to {-webkit-transform: rotate(360deg);} }</style>");
        w.document.write("<script>setTimeout(function(){window.location.href='" + url + "';},1000);<\/script>");
        w.document.write('</head><body>');
        w.document.write('<div class="container"><div style="width:100%;"><div style="text-align:center;margin-top:20%;"><p>Se esta generando el Documento, porfavor espere...</p><div class="loader4"></div></div></div> ');
        w.document.write('</body></html>');
        w.document.close();
        w.focus();
    }

    function buscarCertificado(Inspeccion_Id, dInsfecha) {
        $.post('?c=inspecciones&a=buscarCertificado', {
                Inspeccion_Id: Inspeccion_Id,
                dInsfecha: dInsfecha
            },
            function(data) {
                if (JSON.parse(data.length) >= 40) {
                    var IN = JSON.parse(data);
                    if (IN[0].nInsCerEstadoAprob == 2) {

                        CertificadoPDFCrear(Inspeccion_Id, dInsfecha, 0);
                    } else {
                        $("#modal-novercertificado").modal("show");
                    }
                } else {
                    $("#modal-nocertificado").modal("show");
                }

            });
    }

    function localeCertificado(Inspeccion_Id, dInsfecha) {
        $.post('?c=inspecciones&a=buscarCertificado', {
                Inspeccion_Id: Inspeccion_Id,
                dInsfecha: dInsfecha
            },
            function(data) {
                if (JSON.parse(data.length) >= 40) {
                    return true;
                } else {
                    return false;
                }

            });
    }

    function AceptarRechazarInspeccion(valora) {

        var Inspeccion_Id = $("#Inspeccion_Id").val();
        $.post('?c=inspecciones&a=AceptarInspeccion', {
                Inspeccion_Id: Inspeccion_Id,
                valora: valora
            },
            function(data) {

                // envío correo
                $('#preloader').fadeIn('slow');
                $.ajax({
                    url: '?c=Reportes&a=enviarCorreoAprbCertificadoCliente',
                    data: {
                        Inspeccion_Id: $("#Inspeccion_Id").val(),
                        valora: valora
                    },
                    type: "post",

                    success: function(data) {
                        $('#preloader').fadeOut('slow');
                        window.location.reload();
                        /*Forzamos la recarga*/
                        location.reload(true);
                        console.log(data);
                    },
                    error: function(error) {
                        alert("Error al enviar correos...");
                    }
                });
                // fin envio correo
            });

    }
</script>